<?php

namespace ch\monitoring\policy;

/**
 * A CustomerBoundPolicy implementation for MaintenanceGroup objects
 *
 * @copyright     Adfinis SyGroup AG 2015
 * @license       LGPLv3
 **/
class MaintenanceGroupPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @returns       array containing the ID of the customer
	 */
	protected function getCustomerIdentifiers() {
		return array($this->model->customerId);
	}
}
