{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
	{assign 'syHide' 'data-sy-hide="#listNoAlertTemplates"'}
{else}
	{assign 'formId' "form{$parameters.template->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.template->id}}'"}
	{assign 'syTarget' "#item{$parameters.template->id}"}
	{assign 'syAction' ''}
	{assign 'syHide' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-url="index.php?page=alerttemplate&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The alert template was successfully saved"
 {$syData}
 {$syHide}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Alert template'|tr} <small>{if $parameters.template->id}{'Alert template'|tr} ID {$parameters.template->id|escape}{else}New {'Alert template'|tr}{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="slaActionId">{'SLA action'|tr}</label></td>
				<td>
					<select class="required combobox form-control" id="slaActionId" name="slaActionId">
						{html_options options=$select.slaActions selected=$parameters.template->slaActionId|escape}
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="name">Name:</label></td>
				<td><input class="required form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.template->name|escape}" /></td>
			</tr>
			<tr>
				<td><label for="description">Description:</label></td>
				<td><input class="required form-control" id="description" name="description" type="text" value="{$parameters.template->description|escape}" /></td>
			</tr>
			<tr>
				<td>
					<label for="content">Content:</label>
					<br />
					<a
					 class="btn btn-default"
					 data-sy-url="index.php?page=alerttemplate&amp;action=help"
					 data-sy-dialog-click="require"
					 data-sy-require="dialog/show"
					 data-sy-title="Help page"
					><i class="fa fa-question"></i></a>
				</td>
				<td><textarea id="content" name="content" class="required form-control">{$parameters.template->content}</textarea></td>
			</tr>
		</table>
		<div id="placeholder-footer"></div>
	</div>
</form>
