<td class="break-word-medium">{$customer->name|escape}</td>
<td>{if $customer->wiki}<a href="{$customer->wiki|escape}" target="_blank">Wiki</a>{else}-{/if}</td>
<td>{$customer->comment|escape}</td>
<td>{$customer->getSLA()->name|escape}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this customer"
	 class="btn btn-default btn-sm"
	 id="edit-{$customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$customer->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit customer '{$customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Additional information about the customer"
	 class="btn btn-default btn-sm"
	 id="information-{$customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=editInformation"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$customer->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Additional information for customer '{$customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-info-circle"></i>
	</button>
	<button
	 type="button"
	 title="Manage permissions of the customers users"
	 class="btn btn-default btn-sm"
	 id="assignement-{$customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=editRight"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$customer->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage permissions for users of customer '{$customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-chain"></i>
	</button>
	<button
	 type="button"
	 title="Delete this customer"
	 class="btn btn-default btn-sm"
	 id="delete-{$customer->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete customer '{$customer->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the customer '{$customer->name|escape}'?"
	 data-sy-url="index.php?page=customers&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$customer->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$customer->id}"
	 data-sy-hide="#item{$customer->id}"
	 data-sy-growl="The customer '{$customer->name|escape}' was successfully deleted"
	{if $user->getACL()->getRootCustomerIdentifier() == $customer->id || !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $customer->id)}
	disabled
	{/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
