<td>{$parameters.customer->name|escape}</td>
<td><a href="{$parameters.customer->wiki|escape}" target="_blank">Wiki</a></td>
<td>{$parameters.customer->comment|escape}</td>
<td>{$parameters.customer->getSLA()->name|escape}</td>
<td class="text-right break-none">
	<button
	 title="Edit this customer"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.customer->id}}'
	 data-sy-for="#item{$parameters.customer->id}"
	 data-sy-method="get"
	 data-sy-title="Edit customer '{$parameters.customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $parameters.customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 title="Additional information about the customer"
	 class="btn btn-default btn-sm"
	 id="information-{$parameters.customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=editInformation"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.customer->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Additional information for customer '{$parameters.customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $parameters.customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-info-circle"></i>
	</button>
	<button
	 title="Manage permissions of the customers users"
	 class="btn btn-default btn-sm"
	 id="assignement-{$parameters.customer->id|escape}"
	 data-sy-url="index.php?page=customers&action=editRight"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$parameters.customer->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage permissions for users of customer '{$parameters.customer->name|escape}'"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $parameters.customer->id)}
	 disabled
	 {/if}
	>
		<i class="fa fa-chain"></i>
	</button>
	<button
	 title="Delete this customer"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.customer->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete customer '{$parameters.customer->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the customer '{$parameters.customer->name|escape}'?"
	 data-sy-url="index.php?page=customers&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.customer->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.customer->id}"
	 data-sy-growl="The customer '{$parameters.customer->name|escape}' was successfully deleted"
	 {if !$user->hasPermissionForCustomer(Permission::CUSTOMERS_WRITE, $parameters.customer->id) || !$user->getACL()->getRootCustomerIdentifier() != $parameters.customer->id}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
