<form 
 id="form{$parameters.sla->id}"
 class="validateForm ajax-form"
 data-sy-from="#form{$parameters.sla->id}"
 data-sy-url="index.php?page=slas&amp;action=saveAssignment"
 data-sy-data='{ "id": {$parameters.sla->id}}'
 data-sy-method="post"
 method="post"
 data-sy-growl="The objects of SLA '{$parameters.sla->name}' was successfully assigned to the new SLA"
>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Assign to new Alert Scheduler'|tr}</h3>
		</div>
		<div class="panel-body">
			<p>
			In order to delete an Alert Scheduler it must not be assigned to any customer, host or service anymore. With this mask you are able to batch assign all objects referencing this Alert Scheduler ({$parameters.sla->name}) to the newly chosen one.
			</p>

			<p>
			The following objects are assigned to the Alert Scheduler <b>{$parameters.sla->name}</b>:
			</p>
		</div>


		<table class="table table-striped table-condensed">
		<tr>
			<th>
				{'Customer'|tr}
			</th>
		</tr>
		{foreach from=$parameters.sla->getCustomers() item=customer}
		<tr>
			<td>
				{$customer->name}
			</td>
		</tr>
		{foreachelse}
		<tr>
			<td><i>No customers</i></td>
		</tr>
		{/foreach}
		</table>

		<div class="panel-body">
		</div>

		<table class="table table-striped table-condensed">
		<tr>
			<th>
				{'Customer'|tr}
			</th>
			<th>
				{'Host'|tr}
			</th>
		</tr>
		{foreach from=$parameters.sla->getHosts() item=host}
		<tr>
			<td>
				{$host->getCustomer()->name}
			</td>
			<td>
				{$host->hostname}
			</td>
		</tr>
		{foreachelse}
		<tr>
			<td colspan="2"><i>No hosts</i></td>
		</tr>
		{/foreach}
		</table>

		<div class="panel-body">
		</div>

		<table class="table table-striped table-condensed">
		<tr>
			<th>
				{'Customer'|tr}
			</th>
			<th>
				{'Host'|tr}
			</th>
			<th>
				{'Service'|tr}
			</th>
		</tr>
		{foreach from=$parameters.sla->getHostServiceInstances() item=instance}
		<tr>
			<td>
				{$instance->getHost()->getCustomer()->name}
			</td>
			<td>
				{$instance->getHost()->hostname}
			</td>
			<td>
				{$instance->getObjectName()}
			</td>
		</tr>
		{foreachelse}
		<tr>
			<td colspan="3"><i>No services</i></td>
		</tr>
		{/foreach}
		</table>

		<div class="panel-body">
		<table class="pull-right topBuffer">
		<tr>
			<td>
				<label for="newSlaId">{'Assign these objects to the following Alert Scheduler'|tr}:</label>
			</td>
			<td>
				<select class="required form-control" id="newSlaId" name="newSlaId">
					{html_options options=$select.slas}
				</select>
			</td>
		</tr>
		</table>
		</div>
	</div>
	<div id="placeholder-footer"></div>
</form>
