{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syAction' 'data-sy-action="append"'}
	{assign 'syTarget' '#list tbody'}
{else}
	{assign 'formId' "form{$parameters.sla->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.sla->id}}'"}
	{assign 'syAction' 'data-sy-action="replaceWith"'}
	{assign 'syTarget' "#item{$parameters.sla->id}"}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=slas&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The alert scheduler was successfully saved"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Alert Scheduler information <small>{if $parameters.sla->id}Alert scheduler ID {$parameters.sla->id|escape}{else}New alert scheduler{/if}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td colspan="3"><input class="required form-control" id="name" name="name" type="text" maxlength="255" value="{$parameters.sla->name|escape}" /></td>
		</tr>
		<tr>
			<td><label for="description">Description:</label></td>
			<td><input class="required form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.sla->description|escape}" /></td>
			<td><label for="customerId" title="Which customer does this Alert Scheduler belong to?">Customer:</label></td>
			<td><select class="required combobox" id="customerId" name="customerId">
					<option value="0">None</option>
					{html_options options=$select.customers selected=$parameters.sla->customerId}
				</select>
			</td>
		</tr>
		<tr>
			<td><label for="delayCycle" title="Amount of minutes to wait until the notification of the next person starts.">Cycle delay:</label></td>
			<td><input class="form-control required integer {ldelim}min:1,max:10080{rdelim}" id="delayCycle" name="delayCycle" type="text" value="{$parameters.sla->delayCycle|escape}" /></td>
			<td><label for="delayRestart" title="Amount of minutes to wait before the notification cycle restarts.">Restart delay:</label></td>
			<td><input class="form-control required integer {ldelim}min:1,max:10080{rdelim}" id="delayRestart" name="delayRestart" type="text" value="{$parameters.sla->delayRestart|escape}" /></td>
		</tr>
		<tr>
			<td><label for="timeout" title="Amount of minutes to wait until an alert times out.">Timeout:</label></td>
			<td><input class="form-control required integer {ldelim}min:0,max:10080{rdelim}" id="timeout" name="timeout" type="text" value="{$parameters.sla->timeout|escape}" /></td>
			<td><label for="minAvailability">Min Availability:</label></td>
			<td><input class="form-control required integer {ldelim}min:0,max:100{rdelim}" id="minAvailability" name="minAvailability" type="text" value="{$parameters.sla->minAvailability|escape}" /></td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer"></div>
</form>
