<td>{$parameters.sla->name|escape}</td>
<td>{$parameters.sla->description|escape}</td>
<td>
	{if $parameters.sla->customerId}
	{$parameters.sla->getCustomer()->name|escape}
	{else}
	{"None"|tr}
	{/if}
</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this Alert Scheduler"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.sla->id}}'
	 data-sy-for="#item{$parameters.sla->id}"
	 data-sy-method="get"
	 data-sy-title="Edit Alert Scheduler '{$parameters.sla->name|escape}'"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage rules of this Alert Scheduler"
	 class="btn btn-default btn-sm"
	 id="expand-{$parameters.sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=expand"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$parameters.sla->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage rules for Alert Scheduler '{$parameters.sla->name|escape}'"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Assign all objects which belong to this Alert Scheduler to another Alert Scheduler"
	 class="btn btn-default btn-sm"
	 id="assign-{$parameters.sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=assignForm"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.sla->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Assign objects from Alert Scheduler '{$parameters.sla->name|escape}' to another Alert Scheduler"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-arrow-circle-right"></i>
	</button>
	<button
	 type="button"
	 title="Delete this Alert Scheduler"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.sla->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete Alert Scheduler '{$parameters.sla->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the Alert Scheduler '{$parameters.sla->name|escape}'?"
	 data-sy-url="index.php?page=slas&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.sla->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.sla->id}"
	 data-sy-growl="The Alert Scheduler '{$parameters.sla->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
