<div style="clear: both;"></div>
<div id="emergencyCalendar">
	<div id="emergencyCalendarBar">
		<button
		 type="button"
		 id="month-{$parameters.calendar.prevMonth->toString("yyyy-M")|escape}"
		 class="btn btn-default btn-sm"
		 data-sy-event-click="require"
		 data-sy-url="index.php?page=calendar&action=getCalendar"
		 data-sy-from="#formEmergencySave"
		 data-sy-for="#emergencyCalendar"
		 data-sy-method="post"
		 data-sy-data='{ "year":{$parameters.calendar.prevMonth->toString("yyyy")|escape},"month":{$parameters.calendar.prevMonth->toString("M")|escape}}'
		 data-sy-mask='Loading&hellip;'
		>
			<i class="fa fa-arrow-circle-left"></i>&nbsp;Previous
		</button>
		&nbsp;
		<font size="+2">
		<b>{$parameters.calendar.thisMonth->toString("MMMM yyyy")|escape}</b>
		</font>
		&nbsp;
		<button
		 type="button"
		 id="month-{$parameters.calendar.nextMonth->toString("yyyy-M")|escape}"
		 class="btn btn-default btn-sm"
		 data-sy-event-click="require"
		 data-sy-url="index.php?page=calendar&action=getCalendar"
		 data-sy-from="#formEmergencySave"
		 data-sy-for="#emergencyCalendar"
		 data-sy-method="post"
		 data-sy-data='{ "year":{$parameters.calendar.nextMonth->toString("yyyy")|escape},"month":{$parameters.calendar.nextMonth->toString("M")|escape}}'
		 data-sy-mask='Loading&hellip;'
		>
			Next&nbsp;<i class="fa fa-arrow-circle-right"></i>
		</button>
	</div>

		<input type="hidden" id="thisMonth" name="thisMonth" value="{$parameters.calendar.thisMonth->toString("yyyy-M")|escape}" />

		<div id="emergencyCalendarView">
		<table id="calendar" class="table table-striped table-bordered table-small">
		<thead>
		<tr class="info">
				<th>Monday</th>
				<th>Tuesday</th>
				<th>Wednesday</th>
				<th>Thursday</th>
				<th>Friday</th>
				<th>Saturday</th>
				<th>Sunday</th>
		</tr>
		</thead>

		<tbody>
		<tr>
		{foreach from=$parameters.calendar.dates item=team name=dates}
				<td valign="top" class="calendarCell
					{if $team.members|@count == 0}
						{if $parameters.calendar.defaultTeam|@count == 0}
							danger
						{else}
							warning
						{/if}
					{/if}
					{if $smarty.now|date_format:'%Y-%m-%d' == $team.date->toString('yyyy-MM-dd')}
						calendar_today
					{/if}
				">
				{if $user->hasPermissionForCustomer(Permission::EMERGENCY_WRITE, $parameters.calendar.customerId)}
					<button
					 type="button"
					 id="delete.{$parameters.calendar.customerId|escape}.{$team.date->get(Zend_Date::ISO_8601)|escape}"
					 class="btn btn-default btn-sm"
					 data-sy-event-click="require"
					 data-sy-url="index.php?page=calendar&action=delete"
					 data-sy-from="#formEmergencySave"
					 data-sy-for="#emergencyCalendar"
					 data-sy-method="post"
					 data-sy-data='{ "date":"{$team.date->get(Zend_Date::ISO_8601)|escape}"}'
					>
						<i class="fa fa-trash-o"></i>
					</button>
				{/if}
					<b>{$team.date->toString("yyyy-MM-dd")|escape}</b><br />
					{foreach from=$team.members item=member}
						{$member->getUser()->fullName|escape}<br />
					{foreachelse}
						{foreach from=$parameters.calendar.defaultTeam item=member}
							<i>{$member->getUser()->fullName}</i><br />
						{foreachelse}
							No default emergency team set!
						{/foreach}
					{/foreach}
				</td>

				{if $smarty.foreach.dates.iteration % 7 == 0 && $smarty.foreach.dates.iteration > 0}
						</tr><tr class="{cycle values='even,odd'}">
				{/if}
		{/foreach}
		</tr>
		</tbody>
		</table>
	</div>
</div>
