; *****
; Must be encoded as latin1 because ido2db reads the file as latin1 (db connection is not the problem)
; *****

{foreach from=$hosts item=host}
{if $host->isEnabled()}
{foreach from=$host->getHostServiceInstances(null, true) item=instance}
{assign var="hostService" value=$instance->getHostService()}
{assign var="service" value=$hostService->getService()}
define service {ldelim}
	use                             template-service

	host_name                       {$host->hostname}
	service_description             {$instance->getObjectName()}
	max_check_attempts              {$service->maxCheckAttempts}
	check_interval                  {$service->checkInterval}
	retry_interval                  {$service->retryInterval}
{if !$forSatellite && $instance->isPassive}
	active_checks_enabled           0
	check_freshness                 1
	check_command                   dummy!2
	{if $service->freshness > 0}
	freshness_threshold             {$service->freshness}
	{else}
	freshness_threshold             {$service->checkInterval * 60 + 300}
	{/if}
{elseif $service->isNrpe}
	check_command                   {$service->getCommand()->name}!{$instance->getObjectName()}
{elseif $service->hasArguments()}
	check_command                   {$service->getCommand()->name}!{$instance->getArgumentsAsString()}
{else}
	check_command                   {$service->getCommand()->name}
{/if}
{rdelim}

{/foreach}
{/if}
{/foreach}
