{if $parameters.action == "addForm"}
<form id="formAdd" class="validateForm form-horizontal">
{else}
<form id="form{$parameters.guideline->id}" class="validateForm">
{/if}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Guideline <small>{if $parameters.guideline->id}Guideline ID {$parameters.guideline->id|escape}{else}New guideline{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td>Creator:</td>
				<td colspan="3">{if $parameters.guideline->getUser()}{$parameters.guideline->getUser()->fullName|escape}{else}-{/if}</td>
			</tr>

			<tr>
				<td>Created:</td>
				<td>{if $parameters.guideline->created}{$parameters.guideline->created->get(Zend_Date::DATETIME_MEDIUM)}{else}-{/if}</td>
				<td>Updated:</td>
				<td>{if $parameters.guideline->updated}{$parameters.guideline->updated->get(Zend_Date::DATETIME_MEDIUM)}{else}-{/if}</td>
			</tr>

			<tr>
				<td>
					<label for="name">Name:</label>
				</td>
				<td>
					<input class="required" id="name" name="name" type="text" maxlength="32" value="{$parameters.guideline->name|escape}" />
				</td>
				<td>
					<label for="description">Description:</label>
				</td>
				<td>
					<input class="required" id="description" name="description" type="text" value="{$parameters.guideline->description|escape}" />
				</td>
			</tr>
		</table>
	</div>

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Guideline Content</h3>
		</div>
		
		<textarea id="content" name="content" class="required size-large">{$parameters.guideline->content|escape}</textarea>
	</div>
</form>
	
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Subguidelines</h3>
	</div>

	<div id="subguidelines">
		{include file="guideline/guidelineSubguidelines.tpl"}
	</div>
</div>
