{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.architecture->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.architecture->id}}'"}
	{assign 'syTarget' "#item{$parameters.architecture->id}"}
	{assign 'syAction' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=architectures&amp;action={$action}"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The architecture was successfully saved"
 data-sy-hide="#listNoSystems"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Architecture information</h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td><input class="required form-control" id="name" name="name" type="text" maxlength="255" value="{$parameters.architecture->name|escape}" /></td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer" />
</form>
