{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
	{assign 'syHide' 'data-sy-hide="#listNoHostGroups"'}
{else}
	{assign 'formId' "form{$parameters.group->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.group->id}}'"}
	{assign 'syTarget' "#item{$parameters.group->id}"}
	{assign 'syAction' ''}
	{assign 'syHide' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=hostGroups&amp;action={$action}"
 data-sy-for="{$syTarget}"
 data-sy-from="#{$formId}"
 data-sy-action="{$syAction}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-action="{$syAction}"
 data-sy-growl="The host group was successfully saved"
 data-sy-notify="notify/export"
 {$syData}
 {$syHide}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Host group information <small>{if $parameters.group->id}Group ID {$parameters.group->id}{else}New group{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="name">Name:</label></td>
				<td><input class="required nagiosname form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.group->name|escape}" /></td>
				<td><label for="description">Description:</label></td>
				<td><input class="form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.group->description|escape}" /></td>
			</tr>
			<tr>
				<td><label for="hostGroupCustomerId">Customer:</label></td>
				<td>
					<select class="required combobox" id="hostGroupCustomerId" name="customerId">
					{html_options options=$select.customers selected=$parameters.group->customerId}
					</select>
				</td>
				<td></td>
				<td></td>
			</tr>
		</table>
	</div>
	<div id="placeholder-footer" />
</form>
