<td>{$parameters.group->name|escape}</td>
<td>{$parameters.group->description|escape}</td>
<td>{$parameters.group->getCustomer()->name|escape}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this host"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.group->id}"
	 data-sy-url="index.php?page=hostGroups&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit group '{$parameters.group->name|escape}'"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage hosts assigned to this group"
	 class="btn btn-default btn-sm"
	 id="versions-{$parameters.group->id}"
	 data-sy-url="index.php?page=hostGroups&action=groupHosts"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="get"
	 data-sy-title="Assigned hosts for group '{$parameters.group->name|escape}'"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Delete this group"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.group->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete group '{$parameters.group->name|escape}'"
	 data-sy-confirm="Do you really want to delete the group '{$parameters.group->name|escape}'?"
	 data-sy-url="index.php?page=hostGroups&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.group->id}"
	 data-sy-growl="The host group '{$parameters.group->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
