{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.system->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.system->id}}'"}
	{assign 'syTarget' "#item{$parameters.system->id}"}
	{assign 'syAction' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=hostOS&amp;action={$action}"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The operating system was successfully saved"
 data-sy-hide="#listNoSystems"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Operating system information</h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td><input class="required form-control" id="name" name="name" type="text" maxlength="255" value="{$parameters.system->name|escape}" /></td>
			<td>
				<label for="image">Image:</label>
				<i class="fa fa-info-circle add-popover"
					title="About Images"
					data-toggle="popover"
					data-content="
						Images are required for Icinga to display data.
						If you are uncertain what image to pick, leave
						it at 'base/default.png'. Otherwise enter the URI
						of the desired picture."
				></i>
			</td>
			<td><input class="required form-control" id="image" name="image" type="text" maxlength="255" value="{$parameters.system->image|escape}" /></td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer" />
</form>
