<input type="hidden" id="osId" value="{$parameters.system->id}" />
<form id="hostOsFormVersion" class="form-inline">
	<div class="row">
	<div class="col-md-9">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Add a version to system <b>{$parameters.system->name}</b></h3>
		</div>
		<table class="table">
			<tr>
				<td>
					<label for="name">Version name:</label>
				</td>
				<td colspan="2">
					<input type="text" id="name" name="name" class="required form-control">
				</td>
			</tr>
			<tr>
				<td>
					<label for="shortName">Short name:</label>
					{include file='hosts/shortNameInfoPopover.tpl'}
				</td>
				<td colspan="2">
					<input type="text" id="shortName" name="shortName" class="optional form-control">
				</td>
			</tr>
			<tr>
				<td>
					<label for="name">OS Architecture:</label>
				</td>
				<td>
					<select class="required combobox form-control" id="architecture" name="architecture">
						{foreach from=$parameters.architectures item=architecture }
							<option value="{$architecture->id}">{$architecture->name}</option>
						{/foreach}
					</select>
				</td>
				<td>
					<button
					 type="button"
					 id="#addVersion-{$parameters.system->id}"
					 class="btn btn-default"
					 data-sy-event-click="require"
					 data-sy-from="#hostOsFormVersion"
					 data-sy-for="#versions"
					 data-sy-url="index.php?page=hostOS&action=addVersion"
					 data-sy-data='{ "osId":{$parameters.system->id|escape}}'
					 data-sy-method="post"
					 data-sy-close-modal="false"
					 data-sy-growl="The OS version for OS '{$parameters.system->name|escape}' was successfully added"
					>
						<i class="fa fa-plus"></i> Add version
					</button>
				</td>
			</tr>
		</table>
	</div>
	</div>
	</div>
</form>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Assigned versions</h3>
	</div>
	<form
	 id="form{$parameters.system->id}"
	 class="validateForm ajax-form"
	 data-sy-url="index.php?page=hostOS&amp;action=saveVersion"
	 data-sy-from="#form{$parameters.system->id}"
	 data-sy-mask="Loading&hellip;" method="post"
	 data-sy-growl="The versions for operating system '{$parameters.system->name|escape}' were successfully saved"
	 data-sy-hide="#listNoVersions"
	>
		<div id="versions">
			{include file="hosts/hostOSFormVersionsList.tpl"}
		</div>
		<div id="placeholder-footer"></div>
	</form>
</div>
