<td>{$parameters.system->name|escape}</td>
<td>{$parameters.system->image|escape}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this operating system"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.system->id}"
	 data-sy-url="index.php?page=hostOS&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.system->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit operating system '{$parameters.system->name|escape}'"
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 href="#"
	 title="Manage versions assigned to this operating system"
	 class="btn btn-default btn-sm"
	 id="versions-{$parameters.system->id}"
	 data-sy-url="index.php?page=hostOS&action=versions"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.system->id}}'
	 data-sy-method="get"
	 data-sy-title="Assigned versions for operating system '{$parameters.system->name|escape}'"
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Delete this operating system"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.system->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete operating system '{$parameters.system->name|escape}'"
	 data-sy-confirm="Do you really want to delete the operating system '{$parameters.system->name|escape}'?"
	 data-sy-url="index.php?page=hostOS&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.system->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.system->id}"
	 data-sy-hide="#item{$parameters.system->id}"
	 data-sy-growl="The operating system '{$parameters.system->name|escape}' was successfully deleted"
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
