<table class='table table-condensed table-popover table-striped'>
<tr>
	<td>
		Enabled:
	</td>
	<td>
		<i class='fa {if $host->isEnabled}fa-check{else}fa-times{/if}'></i>
		<br/>{if $host->isEnabled && !$host->getCustomer()->isEnabled}Disabled by Customer{/if}
	</td>
</tr>
<tr>
	<td>
		Status:
	</td>
	<td>
		<i class='fa {if $host->hasTrouble || $host->getServicesInTrouble()|@count > 0}fa-warning{else}fa-check{/if}'></i>
	</td>
</tr>
<tr>
	<td>
		Satellite:
	</td>
	<td>
		<i class='fa {if $host->isSatellite}fa-check{else}fa-times{/if}'></i>
	</td>
</tr>

{* Emergency team *}
{if $user->hasPermissionForCustomer(Permission::SLAS_READ, $host->customerId)}
<tr>
	<td valign='top'>
		Current team:
	</td>
	<td>
		{foreach from=$host->getCurrentEmergencyTeam() item=teamMember}
			{$teamMember->getUser()->fullName|escape}<br />
		{foreachelse}
			None.
		{/foreach}
	</td>
</tr>
{/if}

{* Host operating system *}
<tr>
	<td>
		Operating system:
	</td>
	<td>
		{$host->getHostOS()->name} {if $host->osVersionId}{$host->getHostOSVersion()->name}{/if}
	</td>
</tr>

{* Services assigned to this host in trouble? *}
{assign var=servicesTrouble value=$host->getServicesInTrouble()}
{if $host->hasTrouble || $servicesTrouble|@count > 0}
<tr class='danger'>
	<td valign='top'>
		Trouble:
	</td>
	<td>
		{if $host->hasTrouble}
			Host
		{else}
			{foreach from=$servicesTrouble item=hostServiceInstance}
				{$hostServiceInstance->getObjectName()|escape}<br />
			{/foreach}
		{/if}
	</td>
</tr>
{/if}

{* Is this host behind a satellite (passive)? *}
{if $host->satelliteId !== null}
<tr>
	<td>
		Behind satellite:
	</td>
	<td>
		{$host->getSatellite()->hostname}
	</td>
</tr>
{/if}

{* Does this host depend on another host? *}
{if $host->dependencyId !== null}
<tr>
	<td>
		Depends on:
	</td>
	<td>
		{$host->getDependency()->hostname}
	</td>
</tr>
{/if}

<tr>
	<td>
		Type:
	</td>
	<td>
		{if $host->typeId}
			{$host->getHostType()->name}
		{else}
			<i>None</i>
		{/if}
	</td>
</tr>

</table>
