<div class="row">
	<div class="col-md-10">
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">Add a service</h3>
			</div>
			<table class="table">
				<tr>
					<td>
						<label for="serviceId">Service:</label>
					</td>
					<td>
						<select id="serviceId" class="combobox" name="serviceId">
							{html_options options=$select.services}
						</select>
					</td>
					<td>
						<button
						 type="button"
						 class="btn btn-default"
						 data-sy-event-click="require"
						 data-sy-require="event/addSingleItemToContainer"
						 data-sy-url="index.php?page=hosts&action=getPanel"
						 data-sy-from="#serviceId,#tempId"
						 data-sy-for="#serviceList,#tempId"
						 data-sy-validate="#service-{literal}{{{/literal}#serviceId{literal}}}{/literal} .panel"
						 data-sy-data='{ "hostId":{$parameters.host->id}}'
						 data-sy-action="append"
						>
							<i class="fa fa-plus"></i> Add service
						</button>
					</td>
				</tr>
				<tr>
					<td>
						<label for="groupId">Service group:</label>
					</td>
					{if $select.groups|@count > 0}
					<td>
						<select id="groupId" class="combobox" name="groupId">
							{html_options options=$select.groups}
						</select>
					</td>
					<td>
						<button
						 type="button"
						 class="btn btn-default"
						 data-sy-event-click="require"
						 data-sy-require="event/addItemsToContainer"
						 data-sy-url="index.php?page=hosts&amp;action=getGroupMembers,index.php?page=hosts&amp;action=getPanel"
						 data-sy-from="#groupId"
						 data-sy-for="#serviceList,#tempId"
						 data-sy-validate="#service-{literal}{{{/literal}#objectId{literal}}}{/literal} .panel"
						 data-sy-data='{ "hostId":{$parameters.host->id}}'
						 data-sy-method="get"
						>
							<i class="fa fa-plus"></i> Add service group
						</button>
					</td>
					{else}
					<td colspan="2"><i>None</i></td>
					{/if}
				</tr>
			</table>
		</div>
	</div>
</div>

{assign 'formId' 'serviceListForm'}
<form
 id="{$formId|escape}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=hosts&action=saveServices"
 data-sy-from="#{$formId|escape}"
 data-sy-for="#{$formId|escape}"
 data-sy-mask="Loading&hellip;"
 data-sy-growl="The services for host '{$parameters.host->hostname|escape}' were successfully saved"
 data-sy-notify="notify/export"
 method="post"
>
	<input type="hidden" id="hostId" name="hostId" value="{$parameters.host->id|escape}" />
	<input type="hidden" id="hostname" name="hostname" value="{$parameters.host->hostname|escape}" />
	<input type="hidden" id="satelliteId" name="satelliteId" value="{$parameters.host->satelliteId|escape}" />
	<input type="hidden" id="satelliteName" name="satelliteName" value="{if $parameters.host->satelliteId > 0}{$parameters.host->getSatellite()->hostname}{/if}" />
	<input type="hidden" id="isSatellite" name="isSatellite" value="{$parameters.host->isSatellite|escape}" />
	<input type="hidden" id="tempId" name="tempId" value="0" />
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Assigned services for host <b>{$parameters.host->hostname}</b></h3>
		</div>
		<div id="serviceList" class="panel-body">
			{include file="hosts/hostsFormServicesList.tpl"}
		</div>
		<div id="placeholder-footer"></div>
	</div>
</form>
