<tr id="instance-new-{$parameters.tempId}">
	<td>
	</td>
	<td>
		<input type="hidden" name="instanceId[{$parameters.service->id|escape}][{$parameters.tempId|escape}]" value="1" />
		<input
			type="checkbox"
			class="form-control {include file="hosts/hostsFormAvailPopover.tpl"}"
			name="forAvailability[new-{$parameters.tempId}]"
		/>
	</td>
	<td>
		<input type="text" class="form-control" name="name[new-{$parameters.tempId}]" value=""
			{if $parameters.action eq 'getRow'}required="required"{/if} />
	</td>
	<td>
		<select id="slaId" class="form-control" name="slaId[new-{$parameters.tempId}]">
			<option value="0">
				Inherit ({if $parameters.host->slaId !== null}{$parameters.host->getSla()->name|escape}{else}{$parameters.host->getCustomer()->getSla()->name|escape}{/if})
			</option>
			{html_options options=$select.slas selected=$parameters.service->slaId}
		</select>
	</td>
	<td>
		<table class="table-condensed">
			<tbody>
				{foreach from=$parameters.service->getArguments() item=serviceArgument}
					<tr>
						<td>
							{if $serviceArgument->type == ServiceArgument::TYPE_FIXED}
								{$serviceArgument->value|wordwrap:22:"&shy;":true}
							{else}
								<input placeholder="Default: {$serviceArgument->value|escape}" type="text" name="argument[new-{$parameters.tempId}][{$serviceArgument->id|escape}]" value="" class="form-control" />
							{/if}
						</td>
						<td>
							<i
							 class="fa fa-info-circle add-popover col-xs-offset-5"
							 title="{$serviceArgument->option|escape}"
							 data-toggle="popover"
							 data-content="{if $serviceArgument->description}{$serviceArgument->description|escape|replace:"\"":"'"}{else}No description available{/if}"
							></i>
						</td>
					</tr>
				{foreachelse}
					<tr>
						<td>None.</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	</td>
	<td>
		<input class="small" type="checkbox" name="isPassive[new-{$parameters.tempId}]"{if $parameters.host->isSatellite || $parameters.host->satelliteId > 0} checked="checked"{/if} />
	</td>
	<td>
		<input class="small" type="checkbox" name="isEnabled[new-{$parameters.tempId}]" checked="checked" />
	</td>
	<td class="text-right break-none">
		<button
		 class="btn btn-default btn-sm"
		 title="{'It is not possible to check not yet saved service instances.'|tr}"
		 disabled
		>
			<i class="fa fa-refresh"></i>
		</button>
		<button
		 type="button"
		 class="btn btn-default btn-sm"
		 data-sy-event-click="require"
		 data-sy-require="event/removeFromTable"
		 data-sy-from="#service-{$parameters.service->id}"
		 data-sy-for="#instance-new-{$parameters.tempId}"
		>
			<i class="fa fa-trash-o"></i>
		</button>
	</td>
</tr>
