{if $parameters.host}
<table class="table table-striped table-condensed">
<tr>
	<td>Host id:</td>
	<td>{$parameters.host->id|escape}</td>
	<td>Customer:</td>
	<td>{$parameters.host->getCustomer()->name|escape}</td>
</tr>
<tr>
	<td>Hostname:</td>
	<td>{$parameters.host->hostname|escape}</td>
	<td>Description:</td>
	<td>{$parameters.host->description|escape}</td>
</tr>
<tr>
	<td>Version:</td>
	<td>{$parameters.host->version|escape}</td>
	<td>Last export:</td>
	<td>
		{if $parameters.host->exportDate instanceof Zend_Date}
			{$parameters.host->exportDate->get(Zend_Date::DATE_MEDIUM)|escape}
		{else}
			-
		{/if}
	</td>
</tr>
<tr>
	<td>Password:</td>
	<td colspan="3">{$parameters.host->password|escape}</td>
</tr>

{include file="hosts/nrpeHostScripts.tpl"}

</table>
{/if}
