<ul class="nav nav-tabs">
	<li class="active"><a href="#host" data-toggle="tab">Host</a></li>
	<li>
		<a
		 href="#hostgroup"
		 data-toggle="tab"
		 data-sy-require="event/initializeElements"
		 data-sy-event-click="event"
		 data-sy-target="#formAddHostGroup"
		>Host Group</a>
	</li>
	<li><a href="#customer" data-toggle="tab">Customer</a></li>
</ul>
<div class="tab-content">
	<div class="tab-pane fade in active" id="host">
		<form
		 id="formAddHost"
		 class="validateForm ajax-form"
		 data-sy-url="index.php?page=infofeeds&action=add"
		 data-sy-from="#formAddHost"
		 data-sy-for="#list tbody"
		 data-sy-action="append"
		 data-sy-hide="#listNoInfofeeds"
		 data-sy-data=""
		 data-sy-growl="The infofeed was successfully added"
		 data-sy-preserve-notices="true"
		 data-sy-preserve-errors="true"
		 method="post"
		>
			<table class="table table-striped table-collapse">
				<tr>
					<td><label for="hostId">Host:</label></td>
					<td>
						<select class="required combobox form-control" id="hostId" name="hostId">
							{html_options options=$select.hosts}
						</select>
					</td>
				</tr>
				<tr>
					<td><label>Notification on:</label></td>
					<td>
						<table class="table">
							<tr>
								<td><label for="onAlert-host">Alerts</label></td>
								<td><input type="checkbox" id="onAlert-host" name="onAlert"></td>
							</tr>
							<tr>
								<td><label for="onWarning-host">Warning</label></td>
								<td><input type="checkbox" id="onWarning-host" name="onWarning"></td>
							</tr>
							<tr>
								<td><label for="onAcknowledge-host">Acknowledges</label></td>
								<td><input type="checkbox" id="onAcknowledge-host" name="onAcknowledge"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><label for="notificationTypeId">Notification Type:</label></td>
					<td>
						<table class="table">
							{foreach from=$select.notificationtypes item=typeName key=typeKey}
							<tr>
								<td><label for="{$typeKey}-host">{$typeName|escape}</label></td>
								<td><input id="{$typeKey}-host" type="checkbox" value="{$typeKey}" name="notifyTypes[]"></td>
							</tr>
							{/foreach}
						</table>
					</td>
				</tr>
			</table>
			<div id="placeholder-footer"></div>
		</form>
	</div>
	<div class="tab-pane fade" id="hostgroup">
		<form
		 id="formAddHostGroup"
		 class="validateForm ajax-form ajax-init"
		 data-sy-url="index.php?page=infofeeds&action=add"
		 data-sy-from="#formAddHostGroup"
		 data-sy-for="#list tbody"
		 data-sy-action="append"
		 data-sy-hide="#listNoInfofeeds"
		 data-sy-data=""
		 data-sy-growl="The infofeed was successfully added"
		 method="post"
		>
			<table class="table table-striped table-collapse">
				<tr>
					<td><label for="hostGroupId">Host Group:</label></td>
					<td>
						<select
						 class="required combobox form-control"
						 id="hostGroupId"
						 name="hostGroupId"
						 data-sy-url="index.php?page=infofeeds&action=hostgroupHosts"
						 data-sy-for="#excludedHostGroupHosts_wrapper"
						 data-sy-from="#hostGroupId"
						 data-sy-method="post"
						 data-sy-change="change"
						>
							<option>Select a group</option>
							{html_options options=$select.hostgroups}
						</select>
					</td>
				</tr>
				
				<tr>
					<td><label for="excludedHosts">Excluded Hosts:</label></td>
					<td>
						<div id="excludedHostGroupHosts_wrapper">
							<select class="required combobox form-control" id="excludedHostGroupHosts" name="excludedHostGroupHosts" multiple></select>
						</div>
					</td>
				</tr>

				<tr>
					<td><label>Notification on:</label></td>
					<td>
						<table class="table">
							<tr>
								<td><label for="onAlert-hostgroup">Alerts</label></td>
								<td><input type="checkbox" id="onAlert-hostgroup" name="onAlert"></td>
							</tr>
							<tr>
								<td><label for="onWarning-hostgroup">Warning</label></td>
								<td><input type="checkbox" id="onWarning-hostgroup" name="onWarning"></td>
							</tr>
							<tr>
								<td><label for="onAcknowledge-hostgroup">Acknowledges</label></td>
								<td><input type="checkbox" id="onAcknowledge-hostgroup" name="onAcknowledge"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><label for="notificationTypeId">Notification Type:</label></td>
					<td>
						<table class="table">
							{foreach from=$select.notificationtypes item=typeName key=typeKey}
							<tr>
								<td><label for="{$typeKey}-hostgroup">{$typeName|escape}</label></td>
								<td><input id="{$typeKey}-hostgroup"  type="checkbox" value="{$typeKey}" name="notifyTypes[]"></td>
							</tr>
							{/foreach}
						</table>
					</td>
				</tr>
			</table>
			<div id="placeholder-footer"></div>
		</form>
	</div>
	<div class="tab-pane fade" id="customer">
		<form
		 id="formAddCustomer"
		 class="validateForm ajax-form"
		 data-sy-url="index.php?page=infofeeds&action=add"
		 data-sy-from="#formAddCustomer"
		 data-sy-for="#list tbody"
		 data-sy-action="append"
		 data-sy-hide="#listNoInfofeeds"
		 data-sy-data=""
		 data-sy-growl="The infofeed was successfully added"
		 method="post"
		>
			<table class="table table-striped table-collapse">
				<tr>
					<td><label for="customerId">Customer:</label></td>
					<td>
						<select
						 class="required combobox form-control"
						 id="customerId"
						 name="customerId"
						 data-sy-url="index.php?page=infofeeds&action=customerHosts"
						 data-sy-for="#excludedCustomerHosts_wrapper"
						 data-sy-from="#customerId"
						 data-sy-method="post"
						 data-sy-change="change"
						 >
						 	<option>Select a customer</option>
							{html_options options=$select.customers}
						</select>
					</td>
				</tr>

				<tr>
					<td><label for="excludedCustomerHosts">Excluded Hosts:</label></td>
					<td>
						<div id="excludedCustomerHosts_wrapper">
							<select class="required combobox form-control" id="excludedCustomerHosts" name="excludedCustomerHosts" multiple></select>
						</div>
					</td>
				</tr>

				<tr>
					<td><label>Notification on:</label></td>
					<td>
						<table class="table">
							<tr>
								<td><label for="onAlert-customer">Alerts</label></td>
								<td><input type="checkbox" id="onAlert-customer" name="onAlert"></td>
							</tr>
							<tr>
								<td><label for="onWarning-customer">Warning</label></td>
								<td><input type="checkbox" id="onWarning-customer" name="onWarning"></td>
							</tr>
							<tr>
								<td><label for="onAcknowledge-customer">Acknowledges</label></td>
								<td><input type="checkbox" id="onAcknowledge-customer" name="onAcknowledge"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td><label for="notificationTypeId">Notification Type:</label></td>
					<td>
						<table class="table">
							{foreach from=$select.notificationtypes item=typeName key=typeKey}
							<tr>
								<td><label for="checkbox-{$typeKey}-customer">{$typeName|escape}</label></td>
								<td><input type="checkbox" value="{$typeKey}" id="checkbox-{$typeKey}-customer" name="notifyTypes[]"></td>
							</tr>
							{/foreach}
						</table>
					</td>
				</tr>
			</table>
			<div id="placeholder-footer"></div>
		</form>
	</div>
</div>
