<form
 id="form{$parameters.infofeed->id|escape}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=infofeeds&action=saveEdit"
 data-sy-from="#form{$parameters.infofeed->id|escape}"
 data-sy-for="#item{$parameters.infofeed->id|escape}"
 data-sy-action=""
 data-sy-data='{ "id":{$parameters.infofeed->id|escape}}'
 data-sy-growl="The infofeed for {$parameters.infofeed->getObjectType()|escape|lower} '{$parameters.infofeed->getObjectName()|escape}' was successfully updated"
 data-sy-preserve-notices="true"
 data-sy-preserve-errors="true"
 method="post"
>

	{assign 'object' $parameters.infofeed->getObjectAndType()}
	{if $parameters.infofeed->getObjectType() == 'Host'}
		<input type="hidden" name="hostId" id="hostId" value="{$object.object->id}"></input>
	{elseif $parameters.infofeed->getObjectType() == 'Host Group'}
		<input type="hidden" name="hostGroupId" id="hostGroupId" value="{$object.object->id}"></input>
	{elseif $parameters.infofeed->getObjectType() == 'Customer'}
		<input type="hidden" name="customerId" id="customerId" value="{$object.object->id}"></input>
	{/if}

	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Infofeed information <small>Infofeed ID {$parameters.infofeed->id}</small></h3>

		</div>
		<table class="table">
			<tr>
				<td><label>Notification on:</label></td>
				<td>
					<table class="table">
						<tr>
							<td><label for="onAlert">Alerts</label></td>
							<td><input type="checkbox" id="onAlert" name="onAlert" {if $parameters.infofeed->onAlert}checked="checked"{/if}></td>
						</tr>
						<tr>
							<td><label for="onWarning">Warning</label></td>
							<td><input type="checkbox" id="onWarning" name="onWarning" {if $parameters.infofeed->onWarning}checked="checked"{/if}></td>
						</tr>
						<tr>
							<td><label for="onAcknowledge">Acknowledges</label></td>
							<td><input type="checkbox" id="onAcknowledge" name="onAcknowledge" {if $parameters.infofeed->onAcknowledge}checked="checked"{/if}></td>
						</tr>
					</table>
				</td>
			</tr>

			{if array_key_exists('hosts',$select)}
			<tr>
				<td><lablel>Excluded hosts:</lablel></td>
				<td>
					{if $parameters.infofeed->getObjectType() == 'Customer'}
						<select class="required combobox" id="excludedCustomerHosts" name="excludedCustomerHosts[]" multiple>
							{html_options options=$select.hosts selected=$parameters.infofeed->getExcludedHosts()}
						</select>
					{/if}

					{if $parameters.infofeed->getObjectType() == 'Host Group'}
						<select class="required combobox" id="excludedHostGroupHosts" name="excludedHostGroupHosts[]" multiple>
							{html_options options=$select.hosts selected=$parameters.infofeed->getExcludedHosts()}
						</select>
					{/if}
				</td>
			</tr>
			{/if}
		</table>
	</div>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Notification</h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="notificationTypeId">Notification Type:</label></td>
				<td>
					<table class="table">
						{foreach from=$select.notificationtypes item=typeName key=typeKey}
						<tr>
							<td><label for="checkbox-{$typeKey}">{$typeName|escape}</label></td>
							<td><input type="checkbox" value="{$typeKey}" id="checkbox-{$typeKey}" name="notifyTypes[]" {if $typeKey|in_array:$parameters.notificationtypes}checked="checked"{/if}></td>
						</tr>
						{/foreach}
					</table>
				</td>
			<tr>
		</table>
		</div>
	</div>
	
	<div id="placeholder-footer"></div>
</form>
