<td>{$infofeed->getObjectName()|escape} <i>({$infofeed->getObjectType()|escape})</i></td>
<td>{if $infofeed->onAlert}{'Yes'|tr}{else}{'No'|tr}{/if}</td>
<td>{if $infofeed->onWarning}{'Yes'|tr}{else}{'No'|tr}{/if}</td>
<td>{if $infofeed->onAcknowledge}{'Yes'|tr}{else}{'No'|tr}{/if}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this infofeed"
	 class="btn btn-default btn-sm"
	 id="edit-{$infofeed->id|escape}"
	 data-sy-url="index.php?page=infofeeds&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$infofeed->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Edit infofeed for {$infofeed->getObjectType()|escape|lower} '{$infofeed->getObjectName()|escape}'"
	 {if !$user->hasPermission(Permission::INFOFEEDS)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Delete this infofeed"
	 class="btn btn-default btn-sm"
	 id="delete-{$infofeed->id|escape}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete infofeed for {$infofeed->getObjectType()|escape|lower} '{$infofeed->getObjectName()|escape}'?"
	 data-sy-confirm="Do you really want to delete the infofeed for {$infofeed->getObjectType()|escape|lower} '{$infofeed->getObjectName()|escape}'?"
	 data-sy-url="index.php?page=infofeeds&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$infofeed->id|escape}}'
	 data-sy-method="post"
	 data-sy-for="#item{$infofeed->id|escape}"
	 data-sy-growl="The infofeed for {$infofeed->getObjectType()|escape|lower} '{$infofeed->getObjectName()|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::INFOFEEDS)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
