
{if $page == 'alertsHistory'}

<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = '{$page}';
	document.sort_column = 1;
	document.sort_by = 'desc';
	document.datatableSettings = {
		'columns': [
			{ 'orderable': false },
			null,
			null,
			{ 'orderable': false },
			{ 'orderable': false },
			{ 'orderable': false },
			{ 'orderable': false },
		]
	}
//-->
</script>

<form id="formDates" class="validateForm ajax-form">
	<div class="row">
		<div class="col-md-4">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a href="#collapse" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Filter</a>
					</h3>
				</div>
				<div id="collapse" class="panel-collapse collapse">
					<table id="filter" class="table">
						<tr>
							<td><label for="dateFrom">From:</label></td>
							<td><input type="text" id="dateFrom" name="dateFrom" class="form-control datePicker" value="{$parameters.dates.dateFrom|date_format:'%Y-%m-%d'}"></input></td>
						</tr>
						<tr>
							<td><label for="dateTo">To:</label></td>
							<td><input type="text" id="dateTo" name="dateTo" class="form-control datePicker" value="{$parameters.dates.dateTo|date_format:'%Y-%m-%d'}"></input></td>
						</tr>
						<tr>
							<td><label for="limit">Limit:</label></td>
							<td><input type="text" id="limit" name="limit" value="{$parameters.limit}" class="form-control {ldelim}min:1{rdelim}"></input></td>
						</tr>
					</table>
					<div class="panel-footer text-right">
						<button
						 type="button"
						 class="btn btn-primary"
						 title="Show closed alerts"
						 data-sy-event-click="require"
						 data-sy-url="index.php?page=alertsHistory&action=showAlerts"
						 data-sy-from="#formDates"
						 data-sy-for="#alertsList"
						 data-sy-method="post"
						>
							<i class="fa fa-rocket"></i> Show
						</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>
{else}
<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = '{$page}';
	{if $page == 'alertsOpen'}
	document.sort_column = 1;
	{else}
	document.sort_column = 2;
	{/if}
	document.sort_by = 'desc';
	document.datatableSettings = {
		'columns': [
			{if $page == 'alerts' && $user->hasPermission(Permission::ALERTS_WRITE)}
			{ 'orderable': false },
			{/if}
			{ 'orderable': false },
			null,
			{ 'className': 'break-word-medium' },
			{ 'orderable': false },
			{ 'orderable': false },
			{ 'orderable': false },
			{ 'orderable': false },
		]
	}
//-->
</script>
{/if}


{if $page == 'alerts' && $user->hasPermission(Permission::ALERTS_WRITE)}
<div class="col-md-6">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><a href="#bulkAction" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Bulk action</a></h3>
		</div>
		<div id="bulkAction" class="panel-collapse collapse">
			<div class="panel-footer text-right">
				<!-- id: bulkSubmit, class: bulkSubmit -->
				<button
				 type="button"
				 class="btn btn-default"
				 data-sy-event-click="require"
				 data-sy-require="event/bulkAction"
				 data-sy-url="index.php?page=alerts"
				 data-sy-from="#action,#formAlerts"
				 data-sy-for="#alertsList"
				 data-sy-growl="The selected alerts were successfully acknowledged"
				>
					<input id="action" type="hidden" value="save"></input>
					<i class="fa fa-cubes"></i> {'Acknowledge'|tr}
				</button>
			</div>
		</div>
	</div>
</div>
{/if}

{if $page == 'alerts' || $page == 'alertsOpen'}
	{include file="logs/reloadSelect.tpl"}
{/if}

<div id="dialog"></div>

<div id="alertsList">
	{include file="logs/alertsList.tpl"}
</div>
