<form
 id="form{$parameters.alert->id}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page={$page}&amp;action=save"
 data-sy-from="#form{$parameters.alert->id}"
 data-sy-for="#box_comments,#item{$parameters.alert->id}"
 data-sy-action="replaceWith"
 data-sy-mask="Loading&hellip;" method="post"
>
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Comment alert <small>Alert ID {$parameters.alert->id|escape}</small></h3>
	</div>
	<table class="table">
	<tr>
		<td>Acknowledged by:</td>
		<td>
			{if $parameters.alert->acknowledgedBy}
			<font color="blue">{$parameters.alert->getAcknowledgeUser()->name|escape}</font>
			{else if $parameters.alert->acknowledgedAutomatically}
			<font color="green">system</font>
			{else}
			<font color="red">nobody</font>
			{/if}
		</td>
		<td class="text-right">Customer:</td>
		<td>{$parameters.alert->getCustomer()->name|escape}</td>
		<td class="text-right">Host:</td>
		<td>{$parameters.alert->getHost()->hostname|escape}</td
	</tr>
	<tr>
		<td><label for="comment">Comment:</label></td>
		<td colspan="5"><textarea id="comment" class="required form-control" name="comment"></textarea></td>
	</tr>
	<tr>
		<td>Tags:</td>
		<td colspan="4">
			<select class="combobox form-control" id="commentTags" name="commentTags[]" multiple="multiple" data-placeholder="{'Select some options'|tr}">
			{html_options options=$select.tags}
			</select>
		</td>
		<td>
			<button
			 type="button"
			 class="btn btn-default"
			 data-sy-event-click="require"
			 data-sy-title="Add downtime"
			 data-sy-method="post"
			 data-sy-url="index.php?page={$page}&action=save"
			 data-sy-data='{ "alertId":{$parameters.alert->id|escape}}'
			 data-sy-from="#form{$parameters.alert->id}"
			 data-sy-for="#alert-comments,#alert-comment-item-{$comment->id}"
			 data-sy-growl="Comment successfully added"
			>
				<i class="fa fa-plus"></i>&nbsp;Add
			</button>
		</td>
	</tr>
	</table>
</div>

<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Comment history</h3>
	</div>
	<div id="box_comments" class="panel-body">
		{include file="logs/alertsSave.tpl"}
	</div>
</div>
</form>
