<form id="formDates" class="validateForm">
<div class="row">
<div class="col-md-8">
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">
			<a href="#collapse" data-toggle="collapse" class="collapsed"><i class="fa fa-chevron-down"></i> Filter</a>
		</h3>
	</div>
	<div id="collapse" class="panel-collapse collapse">
	<table class="table">
	<tr>
		<td>
			<label for="dateFrom">From:</label>
		</td>
		<td>
			<input type="text" id="dateFrom" name="dateFrom" class="display-nonreadonly datePicker form-control" value="{$parameters.dateFrom|date_format:'%Y-%m-%d'}" readonly="" />
		</td>
		<td>
			<label for="entity">Entity:</label>
		</td>
		<td>
			<select
			 class="combobox form-control"
			 id="entity"
			 name="entity"
			 data-sy-event-change="change"
			 data-sy-url="?page=auditLog&amp;action=getEntityNames"
			 data-sy-from="#entity"
			 data-sy-for="#entityNames"
			>
				<option value="all">All entities</option>
				{foreach $select.entities as $entity}
					<option value="{$entity}">
						{$entity}
					</option>
				{/foreach}
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<label for="dateTo">To:</label>
		</td>
		<td>
			<input type="text" id="dateTo" name="dateTo" class="display-nonreadonly datePicker form-control" value="{$parameters.dateTo|date_format:'%Y-%m-%d'}" readonly="" />
		</td>
		<td>
			<label for="entityName">Name:</label>
		</td>
		<td id="entityNames">
			{include file="logs/auditLogNames.tpl"}
		</td>
	</tr>
	<tr>
		<td>
			<label for="timeFrom">Time from:</label>
		</td>
		<td>
			<input type="text" id="timeFrom" name="timeFrom" class="timePicker form-control" value="" />
		</td>
		<td>
			<label for="userName">User:</label>
		</td>
		<td id="userName">
			<select class="combobox" id="user" name="user">
				<option value="all">All users</option>
				{foreach $select.users as $user}
					<option value="{$user.userName}">
					{if !$user.fullName}
						{$user.userName} (deleted)
					{else}
						{$user.fullName}
					{/if}
					</option>
				{/foreach}
			</select>
		</td>
	</tr>
	<tr>
		<td>
			<label for="time_to">Time to:</label>
		</td>
		<td>
			<input type="text" id="timeTo" name="timeTo" class="timePicker form-control" value="" />
		</td>
		<td>
			<label for="operation">Operation:</label>
		</td>
		<td id="auditOperations">
			<select class="combobox" id="operation" name="operation">
				<option value="all">All operations</option>
				<option value="create">create</option>
				<option value="update">update</option>
				<option value="delete">delete</option>
			</select>
		</td>
	</tr>
	</table>
	<div class="panel-footer text-right">
		<button
		 type="button"
		 class="btn btn-primary"
		 data-sy-event-click="require"
		 data-sy-from="#formDates"
		 data-sy-method="post"
		 data-sy-for="#auditLogList"
		 data-sy-url="index.php?page=auditLog&amp;action=showAuditLog"
		 data-sy-title="Show downtimes"
		>
			<i class="fa fa-rocket"></i> Show
		</button>

	</div>
	</div>
</div>
</div>
</div>
</form>

<div id="auditLogList">
{include file="logs/auditLogList.tpl"}
</div>
