
<script type="text/javascript">
	document.target_page = 'auditLog';
</script>

{foreach from=$parameters.logEntries item=entry name=entries}

{if $smarty.foreach.entries.first}
<table
 class="table table-striped table-bordered sydatatable"
 data-sy-target-page="auditLog"
 data-sy-sorting='[[ 5, "desc"]]'
 data-sy-columns='[
	 { "bSortable": true },
	 { "bSortable": true },
	 { "bSortable": true },
	 { "bSortable": true },
	 { "bSortable": true },
	 { "bSortable": true },
	 { "bSortable": false}
 ]'
 data-sy-column-defs='[{ "type": "de_datetime", "targets": 5 }]'
>
<thead>

	<tr>
		<th>Entity</th>
		<th>EntityID</th>
		<th>Name</th>
		<th>Operation</th>
		<th>User</th>
		<th>Timestamp</th>
		<th></th>
	</tr>

</thead>
<tbody>
{/if}

	<tr id="item{$entry->id}">
		<td>{$entry->entity}</td>
		<td>{$entry->entityID}</td>
		<td>{$entry->entityName}</td>
		<td>{$entry->operation}</td>
		<td>
			{assign var=userName value=$entry->getSystemUser()}
			{if $userName != NULL}
				{$userName}
			{else}
				<i>{$entry->userName} (deleted)</i>
			{/if}
		</td>
		<td>{$entry->timestamp}</td>
		<td class="text-right break-none">
			<button
			 type="button"
			 title="Show details of this log entry"
			 class="btn btn-default btn-sm"
			 id="show-{$entry->id|escape}"
			 data-sy-url="index.php?page=auditLog&amp;action=viewAuditLog"
			 data-sy-dialog-click="require"
			 data-sy-require="dialog/show"
			 data-sy-data='{ "auditLogID":{$entry->id|escape}}'
			 data-sy-method="get"
			 data-sy-title="Details for audit-log entry '#{$entry->id|escape}'"
			>
				<i class="fa fa-search"></i>
			</button>
		</td>
	</tr>

{if $smarty.foreach.entries.last}
</tbody>
</table>
</div>
{/if}
{foreachelse}
        There are no log entries.
{/foreach}

