<h2>Welcome to SyMonitoring <small>{$parameters.version}</small></h2>

{if isset($parameters.newAlerts)}
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">New alerts</h3>
	</div>

	<div class="panel-body">
		There are {$parameters.newAlerts|@count} new alerts.
	</div>

	{foreach from=$parameters.newAlerts item=alert name=alerts}
		{if $smarty.foreach.alerts.first}
		<table class="table table-striped">
		<thead>
		<tr>
			<th>Customer</th>
			<th>Hostname</th>
			<th>Service</th>
			<th>State</th>
		</tr>
		</thead>
		<tbody>
		{/if}

		<tr class="item" id="item{$alert->id|escape}">
			<td>{$alert->getCustomer()->name|escape}</td>
			<td>{$alert->getHost()->hostname|escape}</td>
			<td>{if $alert->serviceInstanceId}{$alert->getService()->name|escape}{else}{'Whole host'|tr}{/if}</td>
			<td>{$alert->state|escape}</td>
		</tr>

		{if $smarty.foreach.alerts.last}
		</tbody>
		</table>
		{/if}
	{/foreach}
</div>
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">RPC Server Status</h3>
	</div>
	<div class="panel-body">
		RPC Server Version: {$parameters.rpcServerVersion|escape}
	</div>
</div>
{/if}
