{if
	!$model->rrule && (
		$smarty.now > $model->datetimeTo->get() ||
		$model->datetimeFrom->get() == $model->datetimeTo->get()
	)
}
	<i class="fa fa-archive"></i> Archived
{else}
	<button
	 type="button"
	 title="Stop this downtime right now"
	 class="btn btn-default btn-sm"
	 id="stop-{$model->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Really stop downtime '{$model->id|escape}' now?"
	 data-sy-confirm="Do you really want to stop the downtime '{$model->id|escape}' now?"
	 data-sy-url="index.php?page=downtimes&action=stop"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$model->id}}'
	 data-sy-method="post"
	 data-sy-growl="The downtime '{$model->id|escape}' was successfully stopped"
	 data-sy-hide="#item{$model->id|escape}"
	 {if !$user->hasPermissionForCustomer(Permission::DOWNTIMES_WRITE, $model->getHost()->customerId)}
	 disabled
	 {/if}
	>
		<i class="fa fa-stop"></i>
	</button>
	<button
	 type="button"
	 title="Delete this downtime"
	 class="btn btn-default btn-sm"
	 id="delete-{$model->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete downtime '{$model->id|escape}'?"
	 data-sy-confirm="Do you really want to delete the downtime '{$model->id|escape}'?"
	 data-sy-url="index.php?page=downtimes&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$model->id}}'
	 data-sy-method="post"
	 data-sy-growl="The downtime '{$model->id|escape}' was successfully deleted"
	 data-sy-hide="#item{$model->id|escape}"
	 {if !$user->hasPermissionForCustomer(Permission::DOWNTIMES_WRITE, $model->getHost()->customerId)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
{/if}
