<td>{$downtime->getHost()->getCustomer()->name|escape}</td>
<td>
	{$downtime->getHost()->hostname|escape}
</td>
<td>
{if $downtime->serviceInstanceId}
	{$downtime->getHostServiceInstance()->getObjectName()|escape}
{else}
	All services
{/if}
</td>
<td>{$downtime->datetimeFrom->get(Zend_Date::DATETIME_MEDIUM)|escape}</td>
<td>{if $downtime->datetimeTo}{$downtime->datetimeTo->get(Zend_Date::DATETIME_MEDIUM)|escape}{else}-{/if}</td>

<td>{$downtime->rrule|default:"-"|escape}</td>

<td class="text-right break-none">
{if !$downtime->rrule && $smarty.now > $downtime->datetimeTo->get()}
	<i class="fa fa-archive"></i> Archived
{else}
	<button
	 type="button"
	 title="Stop this downtime right now"
	 class="btn btn-default btn-sm"
	 id="stop-{$downtime->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Really stop downtime '{$downtime->id|escape}' now?"
	 data-sy-confirm="Do you really want to stop the downtime '{$downtime->id|escape}' now?"
	 data-sy-url="index.php?page=downtimes&action=stop"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$downtime->id}}'
	 data-sy-method="post"
	 data-sy-growl="The downtime '{$downtime->id|escape}' was successfully stopped"
	 data-sy-hide="#item{$downtime->id|escape}"
	 {if !$user->hasPermissionForCustomer(Permission::DOWNTIMES_WRITE, $downtime->getHost()->customerId)}
	 disabled
	 {/if}
	>
		<i class="fa fa-stop-o"></i>
	</button>
	<button
	 type="button"
	 title="Delete this downtime"
	 class="btn btn-default btn-sm"
	 id="delete-{$downtime->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete downtime '{$downtime->id|escape}'?"
	 data-sy-confirm="Do you really want to delete the downtime '{$downtime->id|escape}'?"
	 data-sy-url="index.php?page=downtimes&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$downtime->id}}'
	 data-sy-method="post"
	 data-sy-growl="The downtime '{$downtime->id|escape}' was successfully deleted"
	 data-sy-hide="#item{$downtime->id|escape}"
	 {if !$user->hasPermissionForCustomer(Permission::DOWNTIMES_WRITE, $downtime->getHost()->customerId)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
{/if}
</td>
