{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syOsData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.group->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.group->id}}'"}
	{assign 'syOsData' "data-sy-data='{ \"groupId\": {$parameters.group->id}}'"}
	{assign 'syTarget' "#item{$parameters.group->id}"}
	{assign 'syAction' 'replaceWith'}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-url="index.php?page=maintenanceGroups&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The maintenance group was successfully saved"
 data-sy-hide="#listNoMaintenanceGroups"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Maintenance group information <small>{if $parameters.group->id}Group ID {$parameters.group->id|escape}{else}New group{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="name">{'Customer'|tr}:</label></td>
				<td colspan="3">
					<select class="required combobox" id="customerId" name="customerId">
						{html_options options=$select.customers}
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="name">Name:</label></td>
				<td colspan="3"><input class="required nagiosname" id="name" name="name" type="text" maxlength="32" value="{$parameters.group->name|escape}" /></td>
			</tr>
			<tr>
				<td><label for="description">Description:</label></td>
				<td colspan="3"><input class="required" id="description" name="description" type="text" maxlength="255" value="{$parameters.group->description|escape}" /></td>
			
			</tr>
			<tr>
				<td><label for="maintenanceCycleId">Cycle:</label></td>
				<td colspan="3">
					<select class="required combobox" id="maintenanceCycleId" name="maintenanceCycleId">
						<option value='0'>None</option>
						{html_options options=$select.cycles selected=$parameters.group->maintenanceCycleId}
					</select>
				</td>
			</tr>

			<tr>
				<td><label for="dateStart">Start date:</label></td>
				<td><input class="datePicker" id="dateStart" name="dateStart" value="{$parameters.group->dateStart|date_format:'%Y-%m-%d'}" /></td>
				<td></td>
				<td></td>
			</tr>
		</table>
	</div>
	<div id="placeholder-footer"></div>
</form>
