<form 
 id="addQuestionForm"
 class="validateForm ajax-form"
 method="post"
 data-sy-url="index.php?page=maintenanceHosts&amp;action=addQuestion"
 data-sy-close-modal="false"
 data-sy-data='{ "hostId":{$parameters.host->id},"primaryChecklistId":{$parameters.host->getPrimaryChecklist()->id}}'
 data-sy-from="#addQuestionForm"
 data-sy-for="#hostsQuestionsList tbody"
 data-sy-action="append"
 data-sy-method="post"
 data-sy-mask="Loading&hellip;"
 data-sy-growl="The question was successfully addded"
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Additional questions</h3>
		</div>

		<table id="hostsQuestionsList" class="table table-striped">
		<thead>
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th></th>
		</tr>
		</thead>
		<tbody>
		{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
		<tr id="questionList">
			<td><input class="required form-control" id="name" name="name" type="text" maxlength="32" /></td>
			<td><input class="required form-control" id="description" name="description" type="text" maxlength="255" /></td>
			<td class="text-right break-none">
				<button
				 type="submit"
				 class="btn btn-default btn-sm"
				>
					<i class="fa fa-plus"></i>
				</button>
			</td>
		</tr>
		{/if}

		{foreach from=$parameters.host->getQuestions(false, true) item=question name=questions}
			{include file="maintenance/hostsQuestionsRow.tpl"}
		{/foreach}

		</tbody>
		</table>
	</div>
</form>
