{foreach from=$parameters.ticketHost->getComments() item=comment name=comments}
<div class="row {cycle values='comment_odd,comment_even'} maintenanceComment">
	<div class="col-md-3 commentMeta">
		<p>
			{if $comment->getUser()}{$comment->getUser()->fullName|escape}<br />{/if}
			<small>{$comment->timestamp->get(Zend_Date::DATETIME_MEDIUM)|escape}</small>
		</p>

		<p>
			<small>{',<br />'|implode:$comment->getTagsAsArray()}</small>
		</p>
	</div>

	<div class="col-md-9 commentContent">
		<div class="pull-right">
			<small>
				<!--a href="" class="deleteComment" id="delete-{$comment->id|escape}">Delete this comment</a-->
				<button
				 type="button"
				 class="btn btn-default btm-sm"
				 data-sy-dialog-click="require"
				 data-sy-require="dialog/confirm"
				 data-sy-confirm-title="Delete comment '{$comment->id|escape}'?"
				 data-sy-confirm="Do you really want to delete the comment '{$comment->id|escape}'?"
				 data-sy-url="index.php?page=maintenanceOverview&action=deleteComment"
				 data-sy-data='{ "id":{$comment->id|escape},"ticketId":{$comment->ticketHostId}}'
				 data-sy-method="post"
				 data-sy-for="#box_comments_maintenance"
				 data-sy-growl="The comment '{$comment->id|escape}' was successfully deleted"
				>
					<i class="fa fa-trash-o"></i>
				</button>
			</small>
		</div>

		<p>
		{if $comment->oldStateId != $comment->newStateId}
			{* There is no old state when the ticket is new *}
			{if $comment->oldStateId}
				<b>New status</b>: {$comment->getOldState()->name|escape} -> {$comment->getNewState()->name|escape}<br />
			{else}
				<b>New status</b>: <i>None</i> -> {$comment->getNewState()->name|escape}<br />
			{/if}
		{/if}

		{if $comment->oldOsVersionId != $comment->newOsVersionId}
			<b>New os version</b>: {if $comment->oldOsVersionId !== null}{$comment->getOldOsVersion()->name|escape}{else}<i>{'None'|tr}</i>{/if} -> {if $comment->newOsVersionId !== null}{$comment->getNewOsVersion()->name|escape}{else}<i>{'None'|tr}</i>{/if}
		{/if}
		</p>

		<p class="commentText">
			{$comment->comment|escape|nl2br}
		</p>
	</div>
</div>
{foreachelse}
	There are no comments.
{/foreach}
