<div class="navbar navbar-default navbar-fixed-top {if $parameters.avoidAlerting}avoidalerting{/if} {if $env == 'test'}test-environment{/if}" role="navigation">
	{if $parameters.avoidAlerting}
		<div class="avoidalerting-message pull-right"><a href="?page=setting">{'Alerting disabled!'|tr}</a></div>
	{/if}

	<div class="container">
		<div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
				<span class="sr-only">{'Toggle navigation'|tr}</span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</button>
			<a class="navbar-brand" href="?page=home">SyMonitoring</a>
		</div>
		<div class="collapse navbar-collapse">
			<ul class="nav navbar-nav">
				{foreach from=$user->getMenu() key="menu" item="submenu"}
					{if !$submenu}{continue}{/if}
					{if $menu == "Analysis"}
						<li class="dropdown">
							<a href="#" class="dropdown-toggle" data-toggle="dropdown">{$menu|tr} <b class="caret"></b></a>
							<ul class="dropdown-menu">
							{foreach $submenu as $linkName => $link}
								<li class="{if $page == $link.page}active{/if}">
									<a href="?page={$link.page}">{$linkName|tr}</a>
								</li>
							{/foreach}
							</ul>
						</li>
					{else}
						{$link = reset($submenu)}
							{while isset($link['isSeparator']) && $link['isSeparator']}{$link = next($submenu)}{/while}
						{if $link.page}
							<li class="{if array_key_exists($page, $submenu)}active{/if}">
								<a href="?page={$link.page}">{$menu|tr}</a>
							</li>
						{/if}
					{/if}
				{/foreach}
				{if
					$user->hasPermission(Permission::MONITORING_WEB) ||
					$user->hasPermission(Permission::CACTI_WEB) ||
					$user->hasPermission(Permission::NFSEN_WEB) ||
					$user->hasPermission(Permission::SMOKEPING_WEB) ||
					$user->hasPermission(Permission::WEATHERMAP_WEB) ||
					$user->hasPermission(Permission::MONITORING_STATUS)
				}
				<li class="dropdown">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">{'External'|tr} <b class="caret"></b></a>
					<ul class="dropdown-menu">
						{if $user->hasPermission(Permission::MONITORING_WEB)}
						<li>
							<a id="monitoring_web" target="_blank" href="{$monitoringURL}">{'Icinga web'|tr}</a>
						</li>
						{/if}
						{if $user->hasPermission(Permission::MONITORING_STATUS)}
						<li>
							<a id="monitoring_web" target="_blank" href="{$statusURL}">{'Icinga status overview'|tr}</a>
						</li>
						{/if}
						{if $user->hasPermission(Permission::CACTI_WEB)}
						<li>
							<a id="stats" target="_blank" href="{$cactiURL}">{'Cacti'|tr}</a>
						</li>
						{/if}
						{if $user->hasPermission(Permission::NFSEN_WEB)}
						<li>
							<a target="_blank" href="{$nfsenURL}">{'nfsen'|tr}</a>
						</li>
						{/if}
						{if $user->hasPermission(Permission::SMOKEPING_WEB)}
						<li>
							<a target="_blank" href="{$smokepingURL}">{'SmokePing'|tr}</a>
						</li>
						{/if}
						{if $user->hasPermission(Permission::WEATHERMAP_WEB)}
						<li>
							<a target="_blank" href="{$weathermapURL}">{'Weather map'|tr}</a>
						</li>
						{/if}
					</ul>
				</li>
				{/if}
			</ul>
			<ul class="nav navbar-nav navbar-right">
				{if $user->hasIdentifier()}
					<li>
						<p class="navbar-text">
							{include file="export/exportStatus.tpl"}
						</p>
					</li>
					<li class="dropdown">
						<a href="#" class="dropdown-toggle" data-toggle="dropdown">{$user->fullName} <b class="caret"></b></a>
						<ul class="dropdown-menu">
							{if $user->hasPermission(Permission::USER_SETTINGS)}
								<li>
									<a href="?page=account">{'User Settings'|tr}</a>
								</li>
							{/if}
							{if $user->hasPermission(Permission::INFOFEEDS)}
								<li>
									<a href="?page=infofeeds">{'Infofeeds'|tr}</a>
								</li>
							{/if}
							{if $user->authenticationMethod === User::AUTH_METHOD_LDAP_SYNC}
								<li>
									<a href="?page=account&action=ldapSync">{'Synchronize LDAP values'|tr}</a>
								</li>
							{/if}
								<li>
									<a href="/guide/en/guide.html" target="_blank">{'Guide'|tr}</a>
								</li>
						</ul>
					</li>
					<li>
						<a href="?page=logout" title="{'Logout'|tr}"><span class="glyphicon glyphicon-off"></span></a>
					</li>
				{else}
					{capture "dropdown"}{strip}
						<li>
							<a href="?page=login">{'Login'|tr}</a>
						</li>
					{/strip}{/capture}
				{/if}
			</ul>
		</div>
	</div>
</div>
