{if $action == "getReport"}
<div class="panel panel-default reports-information-box">
	<div class="panel-heading">
		<h3 class="panel-title">{'Information'|tr}</h3>
	</div>

	<table class="table table-condensed table-striped">
	<tr>
		<td>
			{'Customer'|tr}:
		</td>
		<td>
			{$parameters.customer->name}
		</td>
	</tr>
	<tr>
		<td>
			{'Hosts'|tr}:
		</td>
		<td>
			{$parameters.hostsCount} {'hosts'|tr} ({$parameters.hostTroubleCount} {'in trouble'|tr})
		</td>
	</tr>
	<tr>
		<td>
			{'Services'|tr}:
		</td>
		<td>
			{$parameters.servicesCount} ({$parameters.serviceTroubleCount} {'in trouble'|tr})
		</td>
	</tr>
	<tr>
		<td>
			{'Date range'|tr}:
		</td>
		<td>
			{$parameters.dateFrom->get(Zend_Date::DATE_MEDIUM)} - {$parameters.dateTo->get(Zend_Date::DATE_MEDIUM)}
		</td>
	</tr>
	<tr>
		<td>
			{'Incidents'|tr}:
		</td>
		<td>
			{$parameters.alertsCount}
		</td>
	</tr>
	<tr>
		<td>
			{'Link'|tr}:
		</td>
		<td>
			<a href="{$defaultURL}/?page=reports&action=getReport&customerId={$parameters.customer->id|escape}{$parameters.hostIdsURL}&dateFrom={$parameters.dateFrom->toString("yyyy-MM-dd")|escape}&dateTo={$parameters.dateTo->toString("yyyy-MM-dd")|escape}{if $parameters.showMaintenanceInfo}&showMaintenanceInfo=true{/if}">Direct link to this search</a>
		</td>
	</tr>
	</table>
</div>
{/if}
