<div class="chosen-nonblock">
	<form
	 id="formAssignGuidelines"
	 class="validateForm ajax-form"
	 method="post"
	 data-sy-from="#formAssignGuidelines"
	 data-sy-for="#guidelines"
	 data-sy-action="replaceWith"
	 data-sy-url="index.php?page=commands&amp;action=addGuideline"
	 data-sy-mask="Loading&hellip;"
	 data-sy-growl="The guideline for the command '{$parameters.command->name|escape}' was successfully added"
	 data-sy-data='{ "commandId": {$parameters.command->id}}'
	 data-sy-close-modal="false"
	 data-sy-method="post"
	 data-sy-hide="#listNoGuidelines"
	>
		<table class="table">
			<tr>
				<td>
					<label for="osId">
						Operating System:
					</label>
				</td>
				<td>
					<select
					 class="required combobox form-control"
					 id="osId"
					 name="osId"
					 data-sy-event-change="change"
					 data-sy-url="index.php?page=commands&amp;action=getVersions&amp;commandId={$parameters.command->id|escape}"
					 data-sy-from="#osId"
					 data-sy-for="#osVersion"
					 required
					>
						<option value="">Please choose</option>
						{html_options options=$select.oss}
					</select>
				</td>
			</tr>
			<tr>
				<td>
					<label for="osVersionId">
						OS version:
					</label>
				</td>
				<td id="osVersion">
					{include file="services/commandsOSVersion.tpl"}
				</td>
			</tr>
			<tr>
				<td>
					<label for="guidelineContent">
						Guideline:
					</label>&nbsp;<i
					 class="fa fa-info-circle add-popover"
					 data-toggle="popover"
					 data-content="This are the needed steps to install this check on the given OS"
					></i>
				</td>
				<td id="osGuidelineText">
					<textarea id="guidelineContent" name="guidelineContent" class="form-control" />
				</td>
			</tr>
			<tr id="osGuidelineManualPathContainer">
				<td>
					<label for="guidelineManualPath">
						Filename:
					</label>&nbsp;<i
					 class="fa fa-info-circle add-popover"
					 data-toggle="popover"
					 data-content="Please only upload a file if the check is not part of a distribution package of the given OS"
					></i>
				</td>
				<td>
					<input type="file" id="guidelineManualPath" name="file" class="form-control" />
				</td>
			</tr>
			<tr>
				<td colspan="6" class="text-right">
					<button type="submit" class="btn btn-default">
						<i class="fa fa-plus"></i> {'Add guideline'|tr}
					</button>
				</td>
			</tr>
		</table>
	</form>
</div>
