<td>{$parameters.command->name|escape}</td>
<td>{$parameters.command->description|escape}</td>
<td>
	{foreach from=$parameters.command->getServices() item=service}
		{$service->name}<br />
	{/foreach}
</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this command"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.command->id|escape}"
	 data-sy-url="index.php?page=commands&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.command->id}}'
	 data-sy-for="#item{$parameters.command->id}"
	 data-sy-method="get"
	 data-sy-title="Edit command '{$parameters.command->name|escape}'"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Delete this command"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.command->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete command '{$parameters.command->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the command '{$parameters.command->name|escape}'?"
	 data-sy-url="index.php?page=commands&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.command->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.command->id}"
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
