{* This template is used as subtemplate for outputting a string,
   so DO NOT USE (UNESCAPED) DOUBLEQUOTES in here! *}

{assign 'hostServices' $parameters.service->getHostServices()}

{if $hostServices->getCount() > 0}
	<br>
	<br>
	This service has the following dependencies, which will be <strong>deleted as well</strong>:
	<br>
	<br>
	<ul>
		{foreach $hostServices as $hostService}
			<li>Service '{$hostService->getService()->name}' for host '{$hostService->getHost()->hostname}'</li>
			<ul>
				{foreach $hostService->getInstances() as $hsi}
				<li>Service instance '{$hsi->getObjectName()}'</li>
				{/foreach}
			</ul>
		{/foreach}
	</ul>
{else}
	This service has no dependencies.
{/if}
