{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'data-sy-action="append"'}
{else}
	{assign 'formId' "form{$parameters.group->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.group->id}}'"}
	{assign 'syTarget' "#item{$parameters.group->id}"}
	{assign 'syAction' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 {$syAction}
 data-sy-url="index.php?page=groups&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-hide="#listNoServiceGroups"
 {$syData}
 data-sy-growl="The service group was successfully saved"
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Service group information <small>{if $parameters.group->id}Service group ID {$parameters.group->id|escape}{else}New service group{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="name">Name:</label></td>
				<td><input class="required nagiosname form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.group->name|escape}" /></td>
				<td><label for="description">Description:</label></td>
				<td><input class="form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.group->description|escape}" /></td>
			</tr>
			<tr>
				<td><label for="customerId">Customer:</label></td>
				<td colspan="3">
					<select class="required combobox" id="customerId" name="customerId">
					<option value="0">None</option>
					{html_options options=$select.customers selected=$parameters.group->customerId}
					</select>
				</td>
			</tr>
		</table>
	</div>
	<div id="placeholder-footer" />
</form>
