<td>{$service->name|escape}</td>
<td>{$service->description|escape}</td>
<td>{$service->getCommand()->name|escape}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this service"
	 class="btn btn-default btn-sm"
	 id="edit-{$service->id|escape}"
	 data-sy-url="index.php?page=services&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$service->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit service '{$service->name|escape}'"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Show hosts which use this service"
	 class="btn btn-default btn-sm"
	 id="serviceAssignments-{$service->id|escape}"
	 data-sy-url="index.php?page=services&action=serviceAssignments"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "serviceId":{$service->id}}'
	 data-sy-method="get"
	 data-sy-title="Hosts which use service '{$service->name|escape}'"
	>
		<i class="fa fa-search"></i>
	</button>
	<button
	 type="button"
	 title="Delete this service"
	 class="btn btn-default btn-sm"
	 id="delete-{$service->id}"
	 data-sy-url="index.php?page=services&action=delete"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$service->id}}'
	 data-sy-method="post"
	 data-sy-confirm-title="Delete service '{$service->name|escape}'"
	 data-sy-confirm="{include file='services/deleteConfirmation.tpl'}"
	 data-sy-for="#item{$service->id}"
	 data-sy-hide="#item{$service->id}"
	 data-sy-growl="The service '{$service->name|escape}' was successfully deleted"
	 data-sy-notify="notify/export"
	 data-sy-notify-all="all"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>

