<td>{$parameters.role->name|escape}{if $parameters.role->isGlobal()} <b>{"(Global)"|tr}</b>{/if}</td>
<td>{$parameters.role->description|escape}</td>
<td>
	{', '|implode:$parameters.role->getPermissionsAsArray()}
</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this role"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.role->id|escape}"
	 data-sy-url="index.php?page=roles&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.role->id}}'
	 data-sy-for="#item{$parameters.role->id}"
	 data-sy-method="get"
	 data-sy-title="Edit role '{$parameters.role->name|escape}'"
	 {if !$user->hasPermission(Permission::ROLES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Delete this role"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.role->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete role '{$parameters.role->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the role '{$parameters.role->name|escape}'?"
	 data-sy-url="index.php?page=roles&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.role->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.role->id}"
	 data-sy-growl="The role '{$parameters.role->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::ROLES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
