{assign 'hasLDAPAuthentication' $parameters.user->hasLDAPAuthentication()}
{assign 'isMutable' $parameters.user->isMutable()}
<form
 id="formContact"
 class="validateForm ajax-form"
 data-sy-from="#formContact"
 data-sy-for="#formContact"
 data-sy-url="index.php?page=account&amp;action=saveContact"
 data-sy-data='{ "id":{$parameters.user->id|escape}}'
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="Successfully saved contact information"
>
	{if $hasLDAPAuthentication}
		{assign 'ldapUser'  $parameters.user->getLdapUser()}
		{if !$isMutable && !$ldapUser}
			<div class="alert alert-danger alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				{'This user is registered as LDAP user, but no matching LDAP user was found.'|tr}
			</div>
		{elseif !$isMutable}
			<div class="alert alert-info alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				{'Disabled fields are imported from LDAP'|tr}
			</div>
		{/if}
	{/if}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Contact information</h3>
		</div>
		{include file='users/usersContactTable.tpl'}
	</div>
	<div id="placeholder-footer"></div>
</form>
