<form
 id="formLDAPSync"
 class="validateForm ajax-form"
 data-sy-from="#formLDAPSync"
 data-sy-for="#formLDAPSync"
 data-sy-url="index.php?page=account&amp;action=saveLDAPSync"
 data-sy-data='{ "id":{$parameters.user->id|escape}}'
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="Successfully synchronized attributes from LDAP"
>
	{if $parameters.ldapAttributes}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'LDAP attributes to synchronize'|tr}</h3>
		</div>
		<div class="panel-body">
			<i class="fa fa-info-circle"></i>
			{'Select the attributes you want to apply to your local account from LDAP'|tr}
			<br>
			<i class="fa fa-exclamation"></i>
			{'Your local values will be <strong>overwritten</strong>'|tr}
		</div>
		<table class="table table-striped table-bordered">
			<thead>
				<tr>
					<td>
						<label>{'Synchronize'|tr}</label>
					</td>
					<td>
						<label>{'Attribute'|tr}</label>
					</td>
					<td>
						<label>{'Local value'|tr}</label>
						<i class="fa fa-arrow-right"></i>
						<label>{'LDAP value'|tr}</label>
					</td>
				</tr>
			</thead>
			<tbody>
				{foreach $parameters.ldapAttributes as $attribute}
					<tr>
						<td>
							<input
							 class="form-control"
							 id="ldap[{$attribute.mapping}][mapping]"
							 name="ldap[{$attribute.mapping}][mapping]"
							 type="checkbox"
							 value="{$attribute.mapping}"
							>
							</input>
						</td>
						<td>
							<label for="{$attribute.id}">{$attribute.label}</label>
						</td>
						<td>
							<span style="color:red">
								{if $parameters.user->{$attribute.mapping}}
									{$parameters.user->{$attribute.mapping|escape}}
								{else}
									{'None'|tr}
								{/if}
							</span>
							<i class="fa fa-arrow-right"></i>
							<span style="color:green">{$attribute.value|escape}</span>
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	</div>
	<button class="btn btn-primary pull-right" type="submit">{'Synchronize'|tr}</button>
	{else}
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Nothing to synchronize'|tr}</h3>
		</div>
		<div class="panel-body">
			<p>{'Currently all attributes are identical'|tr}</p>
		</div>
	</div>
	{/if}
</form>
