define([], function() {

  var CallbackRegistry = {
    _callbacks: {},

    registerCallback: function(name, callback) {
      this._callbacks[name] = callback
    },

    callback: function(name, self, args) {
      this._callbacks[name].apply(self, args)
    },

    getCallback: function(name) {
      return this._callbacks[name]
    }
  }

  // ugliest code of javascript ever written
  // blame PabloV
  window.CallbackRegistry = CallbackRegistry

  return CallbackRegistry
})
