define([
  'jquery',
  'bootstrap',
  '/js/app/form.js',
  '/js/app/event.js',
  'text!/js/app/dialog/edit.html',
  'text!/js/app/dialog/footer.html'
],
  function($, bootstrap, form, evt, tpl, tplFooter) { 'use strict';
    function populateDialog(e, res) {
      /*jshint validthis:true */

      var $dialog = $(tpl)
      var $footer = $(tplFooter)
      var title   = this.dataset.syTitle || 'Bearbeiten'

      $dialog.on('hidden.bs.modal', function() { $(this).remove() })
      $dialog.on('hidden.bs.modal', function() {
         if(this.dataset.syDialogOnClose == 'reload') {
            window.location.reload()
         }
      }.bind(this))

      $dialog.find('#placeholder-body').html(res.html)
      $dialog.find('#placeholder-footer').replaceWith($footer)
      $dialog.find('.modal-title').text(title)

      $dialog.modal({ backdrop: 'static' })
    }

    return function(e) {
      var reference = $(this).clone()[0]
      reference.dataset.syRequire = 'ajax'
      evt.process.call(reference, e, populateDialog.bind(reference))
    }
  }
)
