define([
  'jquery',
  '/js/app/ajax.js'
], function($, evt) { 'use strict';

  function process(e, callback) {
    /*jshint validthis:true */

    var url              = this.dataset.syUrl
    var urls             = url.split(',')
    var target           = this.dataset.syFor
    var data             = this.dataset.syData
    this.dataset.syFor   = target//null
    var validationTarget = this.dataset.syValidate
    var tempData         = this.dataset.syData ? JSON.parse(this.dataset.syData) : {}

    this.dataset.syUrl    = urls[0]
    this.dataset.syAction = 'prepend'
    var tempId = $('#tempId').val()

    evt.process.call(this, e, $.proxy(function(e, res) {
      this.dataset.syUrl = urls[1]
      this.dataset.syFor = target

      for (var i = 0; i < res.parameters.objectIds.length; ++i) {
        var objectId = res.parameters.objectIds[i]
        var completeSource = validationTarget.replace(/{{.*?}}/i, objectId)

        if ($(completeSource).length > 0) {
          continue
        }

        tempData.serviceId = objectId
        tempData.tempId = ++tempId;
        this.dataset.syData = JSON.stringify(tempData)
        evt.process.call(this, e)
      }

      // Restore original values
      this.dataset.syUrl  = url
      this.dataset.syData = data
    }, this))

    if (callback) {
      return callback(e)
    }
  }

  return process
})
