define([
  'jquery',
  'moment'
], function($, moment, evt) { 'use strict';
  return function process(e) {
    e.preventDefault()

    var now   = moment()

    if (this.dataset.syRoundMinutes) {
      var steps = this.dataset.syRoundMinutes
      now.minutes((Math.round(now.minute()/steps) * steps) % 60)
      now.seconds(0)
    }

    var target = $(this.dataset.syFor)
    $(target).val(now.format('YYYY-MM-DD HH:mm:ss'))

    if ($(target).data('daterangepicker')) {
      var daterangepicker = $(target).data('daterangepicker')
      daterangepicker.updateFromControl()
    }
  }
})
