define([
  'jquery',
  '/js/app/event/initializeElements'
], function($, initElems) { 'use strict';

  function process(e, callback) {
    /*jshint validthis:true */
    $(this.dataset.syFor).toggleClass('in')

    $(this).find('i.fa').each(function(i, child) {
      var $child = $(child)

      if ($child.hasClass('fa fa-angle-right')) {
        $child.removeClass('fa fa-angle-right')
        $child.addClass('fa fa-angle-down')
        initElems.process.call(child)
      }
      else if ($child.hasClass('fa fa-angle-down')) {
        $child.removeClass('fa fa-angle-down')
        $child.addClass('fa fa-angle-right')
      }
    })

    if (callback) {
      return callback(e)
    }
  }

  return process
})
