define([
    'jquery',
    'moment',
], function($, moment) { 'use_strict';

  function update() {
	$('.duration').each(function(index, value) {
		var duration = $(value)
		var date = moment(duration.data('syData').datetime)
		var now = moment(new Date())

		// difference
		var ms = moment(now).diff(moment(date))
		var d = moment.duration(ms)
		var s = Math.floor(d.asHours()) + moment.utc(ms).format(':mm:ss')

		duration.html('Open since ' + s)
	})
  }

  setInterval(update, 1000);
  update()
})

