<?php
// +----------------------------------------------------------------------+
// | adfinis framework                                                    |
// +----------------------------------------------------------------------+

/**
 * Debug prepend file
 *
 * This file will be included in development environments. Set config variable
 * 'env' to 'dev' (see ConfManager.class.php) to activate development
 * environment.
 *
 * @author      Matthias Blaser <mb@adfinis.ch>
 * @author      Nicolas Christener <nc@adfinis.ch>
 * @package     org.adfinis.auto
 */

/**
 * some want strict, some not (turn on with ?strict=on and off with ?strict=off
 */
if(
	(
		(
			isset($_GET['strict']) &&
			$_GET['strict'] == 'on'
		)
		||
		(
			isset($_SESSION['errorReporting']) &&
			$_SESSION['errorReporting'] == 'strict'
		)
	)
){
	if(isset($_GET['strict']) && $_GET['strict'] == 'off'){
		error_reporting(E_ERROR);
		unset($_SESSION['errorReporting']);
	} else {
		$_SESSION['errorReporting'] = 'strict';
		error_reporting(E_ALL | E_STRICT);
	}
} else {
	error_reporting(E_ERROR);
}

// load debug version of dbManager
//require(_CONF_INC_LIB . '/db/dbManager.debug.class.php');
