;(function($){
	var $FormTextInputGroups = $('table.withAddButton');
	$FormTextInputGroups.each(function(i, el){
		var $this = $(el);
		var $addButton = $('<button type="button">+</button>');
		var $buttonRow = $('<tr><td colspan="'+$this.find('th').size()+'"></td></tr>');

		$addButton.click(function(){
			var $lastRow = $this.find('tr:last-child').prev()
			var $td = $lastRow.find('td:first-child input');
			var newRowID = /.*\[(\d*)\].*/.exec($td.attr('name'))[1];
			newRowID++;

			var $newRow = $lastRow.clone(true);
			$newRow.find('input').each(function(i, el){
				var $this = $(el);
				var newName = $this.attr('name').replace(/\[\d*\]/g,'['+newRowID+']');

				$this.attr('name', newName);
				$this.attr('id', newName);
				$this.val('');
			});
			$lastRow.after($newRow);
		});

		$buttonRow.find('td').append($addButton);
		$this.append($buttonRow);
	});
})(jQuery)
