<?php

namespace ch\monitoring\intelligence;

/**
 * Get an availability fact from the BI tables
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2012
 * @license       LGPLv3
 **/
class FactAvailability extends Fact {

	public function getAggregators() {
		return array(
			'available',
			'unavailable'
		);
	}
}
