<?php

namespace ch\monitoring\policy;

/**
 * A CustomerBoundPolicy implementation for Maintenance objects
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class MaintenanceTicketHostPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       int
	 */
	protected function getCustomerIdentifiers() {
		return array($this->model->getTicket()->customerId);
	}
}
