<?php

namespace ch\monitoring\policy;

/**
 * A ModelPolicy interface to enforce implementation of getPolicy()
 *
 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
interface ModelPolicy {

	/**
	 * This function returns a CustomerBoundPolicy implementation
	 *
	 * @author        Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 * @returns       CustomerBoundPolicy
	 */
	public function getPolicy();
}
