<?php

namespace ch\monitoring\policy;

/**
 * A CustomerBoundPolicy implementation for Right objects
 *
 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
 * @copyright     Adfinis SyGroup AG 2013
 * @license       LGPLv3
 **/
class RightPolicy extends CustomerBoundPolicy {

	/**
	 * This function returns the customer id the associated object belongs to
	 *
	 * @author        Matthieu Riolo <matthieu.riolo@adfinis-sygroup.ch>
	 * @returns       int
	 */
	protected function getCustomerIdentifiers() {
		/*
		if(is_null($this->model->customerId)) {
			return self::POLICY_GLOBAL;
		}
		*/
		return array($this->model->customerId);
	}
}
