<?php

namespace ch\monitoring\validate;

use ch\monitoring\datamapper;

/**
 * Validator for Hold objects
 **/
class HoldValidator extends ModelValidator {
	/**
	 * Validates the NagiosLog id
	 *
	 * @returns       void
	 */
	protected function nagioslogIdValidator() {
		$this->referenceExists('nagioslogId', datamapper\NagiosLogMapper::getInstance());
	}

	/**
	 * Validates the complete Hold object
	 *
	 * @returns       void
	 */
	public function validateEntity() {
		$this->validateField('nagioslogId');
	}
}
