{assign var="customerInformation" value=$parameters.customer->getCustomerInformation()}
<form 
 id="form{$parameters.customer->id}"
 class="validateForm ajax-form"
 data-sy-from="#form{$parameters.customer->id}"
 data-sy-url="index.php?page=customers&amp;action=saveInformation"
 data-sy-data='{ "id":{$parameters.customer->id}}'
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The hoster information for customer '{$parameters.customer->name|escape}' was successfully updated"
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Hoster information <small>Customer ID {$parameters.customer->id|escape}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td colspan="3"><input class="form-control" id="name" name="name" type="text" maxlength="255" value="{$customerInformation->name|escape}" /></td>
		</tr>
		<tr>
			<td><label for="address">Address:</label></td>
			<td><input class="form-control" id="address" name="address" type="text" value="{$customerInformation->address|escape}" /></td>
			<td><label for="mayContact">May contact:</label></td>
			<td><input class="form-control" id="mayContact" name="mayContact" type="checkbox"{if $customerInformation->mayContact} checked="checked"{/if} /></td>
		</tr>
		<tr>
			<td><label for="contactTechnical">Technical contact:</label></td>
			<td><input class="form-control" id="contactTechnical" name="contactTechnical" type="text" value="{$customerInformation->contactTechnical|escape}" /></td>
			<td><label for="contactCommercial">Commercial contact:</label></td>
			<td><input class="form-control" id="contactCommercial" name="contactCommercial" type="text" value="{$customerInformation->contactCommercial|escape}" /></td>
		</tr>
		<tr>
			<td><label for="phoneRegular">Phone regular:</label></td>
			<td><input class="form-control" id="phoneRegular" name="phoneRegular" type="text" value="{$customerInformation->phoneRegular|escape}" /></td>
			<td><label for="phoneEmergency">Phone emergency:</label></td>
			<td><input class="form-control" id="phoneEmergency" name="phoneEmergency" type="text" value="{$customerInformation->phoneEmergency|escape}" /></td>
		</tr>
		<tr>
			<td><label for="comment">Comment:</label></td>
			<td colspan="3"><textarea name="comment" class="form-control">{$customerInformation->comment|escape}</textarea></td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer">
</form>
