{if $parameters.customer}

<fieldset>
<legend>Customer</legend>
<table>
<tr>
        <td>Customer id:</td>
        <td>{$parameters.customer->id}</td>
</tr>
<tr>
        <td>Name:</td>
        <td>{$parameters.customer->name|escape}</td>
</tr>
<tr>
        <td>Wiki:</td>
        <td><a href="{$parameters.customer->wiki|escape}" target="_blank">{$parameters.customer->wiki|escape}</a></td>
</tr>
        <td>Alert Scheduler:</td>
        <td>{$parameters.customer->getSLA()->name}</td>
</tr>
<tr>
        <td>Comment:</td>
        <td>{$parameters.customer->comment|escape}</td>
</tr>
<tr>
        <td>Enabled:</td>
        <td>{$parameters.customer->isEnabled}</td>
</tr>
<tr>
        <td>Emergency default:</td>
        <td>
                {foreach from=$parameters.customer.persons item=person name=persons}
                {if $smarty.foreach.persons.first}
                        <ol>
                {/if}
                <li>{$person}</li>
                {if $smarty.foreach.persons.last}
                        </ol>
                {/if}
                {foreachelse}
                        No default emergency team set.
                {/foreach}
        </td>
</tr>
</table>
</fieldset>

{assign var="customerInformation" value=$parameters.customer->getCustomerInformation()}
<form id="form{$parameters.customer->id}" class="validateForm">
<input type="hidden" name="password" value="{$parameters.password}" />
<fieldset>
<legend>Hoster information</legend>
<table>
<tr>
        <td>Customer id:</td>
        <td>{$parameters.customer->id}</td>
        <td><label for="name">Name:</label></td>
        <td><input class="required" id="name" name="name" type="text" maxlength="255" value="{$customerInformation->name|escape}" /></td>
</tr>
<tr>
        <td><label for="address">Address:</label></td>
        <td><input class="required" id="address" name="address" type="text" value="{$customerInformation->address|escape}" /></td>
        <td><label for="mayContact">May contact:</label></td>
        <td><input id="mayContact" name="mayContact" type="checkbox"{if $customerInformation->mayContact} checked="checked"{/if} /></td>
</tr>
<tr>
        <td><label for="contactTechnical">Technical contact:</label></td>
        <td><input class="required" id="contactTechnical" name="contactTechnical" type="text" value="{$customerInformation->contactTechnical|escape}" /></td>
        <td><label for="contactCommercial">Commercial contact:</label></td>
        <td><input class="required" id="contactCommercial" name="contactCommercial" type="text" value="{$customerInformation->contactCommercial|escape}" /></td>
</tr>
<tr>
        <td><label for="phoneRegular">Phone regular:</label></td>
        <td><input class="required" id="phoneRegular" name="phoneRegular" type="text" value="{$customerInformation->phoneRegular|escape}" /></td>
        <td><label for="phoneEmergency">Phone emergency:</label></td>
        <td><input class="required" id="phoneEmergency" name="phoneEmergency" type="text" value="{$customerInformation->phoneEmergency|escape}" /></td>
</tr>
<tr>
        <td><label for="comment">Comment:</label></td>
        <td colspan="3"><textarea id="comment" name="comment">{$customerInformation->comment|escape}</textarea></td>
</tr>
<tr>
	<td></td>
	<td><a href="#" class="saveHoster" id="saveHoster-{$parameters.customer->id}">Save</a></td>
</tr>
</table>
</fieldset>
</form>
{else}
Invalid customer.
{/if}
