<td>{$sla->name|escape}</td>
<td>{$sla->description|escape}</td>
<td>
	{if $sla->customerId}
	{$sla->getCustomer()->name|escape}
	{else}
	{"None"|tr}
	{/if}
</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this sla"
	 class="btn btn-default btn-sm"
	 id="edit-{$sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$sla->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit alert scheduler '{$sla->name|escape}'"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage timeframes of this alert scheduler"
	 class="btn btn-default btn-sm"
	 id="expand-{$sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=expand"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$sla->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage timeframes for alert scheduler '{$sla->name|escape}'"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Assign all objects which belong to this alert scheduler to another alert scheduler"
	 class="btn btn-default btn-sm"
	 id="assign-{$sla->id|escape}"
	 data-sy-url="index.php?page=slas&action=assignForm"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$sla->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Assign objects from alert scheduler '{$sla->name|escape}' to another alert scheduler"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-arrow-circle-right"></i>
	</button>
	<button
	 type="button"
	 title="Delete this alert scheduler"
	 class="btn btn-default btn-sm"
	 id="delete-{$sla->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete alert scheduler '{$sla->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the alert scheduler '{$sla->name|escape}'?"
	 data-sy-url="index.php?page=slas&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$sla->id}}'
	 data-sy-method="post"
	 data-sy-hide="#item{$sla->id}"
	 data-sy-growl="The alert scheduler '{$sla->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::SLAS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
