; *****
; Must be encoded as latin1 because ido2db reads the file as latin1 (db connection is not the problem)
; *****

{foreach from=$customers item=customer}
define hostgroup {ldelim}
	hostgroup_name    {$customer->name}
	{assign var=hosts value=$customer->getHostsAsArray(true, true)}
{if $hosts|@count > 0}
	members           {','|implode:$hosts}
{/if}
	{assign var=subCustomers value=$customer->getSubCustomersNames(true)}
{if $subCustomers|@count > 0}
	hostgroup_members {','|implode:$subCustomers}
{/if}
{rdelim}

{/foreach}

{foreach from=$groups item=group}
define hostgroup {ldelim}
	hostgroup_name    group_{$group->name}
	{assign var=hosts value=$group->getMembersAsArray(true, null, true)}
{if $hosts|@count > 0}
	members           {','|implode:$hosts}
{/if}
{rdelim}

{/foreach}
