; *****
; Must be encoded as latin1 because ido2db reads the file as latin1 (db connection is not the problem)
; *****

{foreach from=$hosts item=host}
define host {ldelim}
	use                   template-host
	address               {$host->IPv4}
	host_name             {$host->hostname}
{if !$forSatellite && ($host->isSatellite || $host->satelliteId != null)}
	active_checks_enabled 0
{/if}
{if $host->dependencyId !== null && $host->getDependency()->isEnabled && ($forSatellite == 0 || $host->isReachable($host->dependencyId, $permissionName))}
	parents               {$host->getDependency()->hostname}
{/if}
{if $host->checkHostAlive}
{if $forSatellite == 0 && ($host->isSatellite || $host->satelliteId != null)}
	check_freshness       1
	freshness_threshold   900
	check_command         dummy!2
{else}
	check_command         check-host-alive
{/if}
{else}
	check_command         nothing
{/if}
	icon_image            {$host->getHostOS()->image}
	icon_image_alt        {$host->getHostOS()->name}
	statusmap_image       {$host->getHostOS()->image}
{rdelim}

{/foreach}
