<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link rel="stylesheet" type="text/css" href="css/cupertino/jquery-ui-1.8.14.custom.css" />
<link rel="stylesheet" type="text/css" href="css/main.css" />
<script type="text/javascript" src="js/jquery-1.6.2.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/jquery-ui-1.8.10.custom.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/jquery.validate.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/additional-methods.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/jquery.metadata.js" charset="utf-8"></script>
<script type="text/javascript" src="js/jquery.dataTables.min.js" charset="utf-8"></script>
<script type="text/javascript" src="js/jquery.jgrowl_minimized.js" charset="utf-8"></script>
<script type="text/javascript" src="js/ajax.js" charset="utf-8"></script>
<title>{$headerTitle}</title>
{foreach from=$topScripts item=script}
{$script}
{/foreach}
</head>

<body>

<div id="box_page">
	<div id="box_content">
		<div id="box_main">
			{if $hasErrorMessages}
				{foreach from=$errorMessages item=message}
					<div class="ui-widget ui-corner-all">
						<div class="ui-widget-header ui-corner-top">
							Error
						</div>
						<div class="ui-widget-content ui-corner-bottom">
							<font color="red">{$message}</font>
						</div>
					</div>
				{/foreach}
			{/if}

			{if $hasNotifyMessages}
				{foreach from=$notifyMessages item=message}
					<div class="ui-widget ui-corner-all">
						<div class="ui-widget-header ui-corner-top">
							Notification
						</div>
						<div class="ui-widget-content ui-corner-bottom">
							<font color="green">{$message}</font>
						</div>
					</div>
				{/foreach}
			{/if}

			{if $hasRedirection}
			    <meta http-equiv="refresh" content="{$redirect.time}; URL={$redirect.url}" />
			    <div class="ui-widget ui-corner-all">
			        <div class="ui-widget-header ui-corner-top">
			            Redirection
			        </div>
			        <div class="ui-widget-content ui-corner-bottom">
			            You are automatically redirected within {$redirect.time} seconds. If the redirection doesn't work please click <a href="{$redirect.url}">here</a>.
			        </div>
			    </div>
			{elseif isset($template)}
				<div id="box_simplepage" class="ui-widget ui-widget-content ui-corner-all">
					{include file=$template}
				</div>
			{/if}
		</div>
	</div>
</div>

<div id="dialog"></div>

</body>
</html>
