<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = 'guidelines';
	document.sort_column = 0;
	document.sort_by = 'asc';
	document.datatableSettings = {
		'aoColumns': [
			null,
			null,
			null,
			{ 'bSortable': false },
			{ 'bSortable': false },
		]
	};
//-->
</script>

{if $user->hasPermission(Permission::SERVICES_WRITE)}
<div id="toolbar">
<a href="#" class="addForm">Add guideline</a>
</div>
{/if}

{foreach from=$parameters.guidelines item=guideline name=guidelines}
{if $smarty.foreach.guidelines.first}
<table id="list" class="dataTable list table table-striped table-bordered">
<thead>
<tr>
	<th>Name</th>
	<th>Description</th>
	<th>Operating system</th>
	<th>OS version</th>
	<th>Updated</th>
	<th></th>
	<th></th>
</tr>
</thead>
{/if}

<tr id="item{$guideline->id|escape}">
	<td>
		{$guideline->name|escape}
	</td>

	<td>
		{$guideline->description|escape}
	</td>
	
	<td>
		{$guideline->operatingSystem|escape}
	</td>
	
	<td>
		{$guideline->operatingSystemVersion|escape}
	</td>

	<td>
		{$guideline->updated->get(Zend_Date::DATE_MEDIUM)|escape}
	</td>

{if $user->hasPermission(Permission::SERVICES_WRITE)}
	<td>
		<a href="#" class="edit ui-icon ui-icon-pencil" id="edit-{$guideline->id|escape}"></a>
	</td>
{else}
	<td></td>
{/if}

{if $user->hasPermission(Permission::SERVICES_WRITE)}
	<td>
		<a href="#" class="delete ui-icon ui-icon-trash" id="delete-{$guideline->id|escape}"></a>
	</td>
{else}
	<td></td>
{/if}

</tr>

{if $smarty.foreach.guidelines.last}
</table>
{/if}
{foreachelse}
	There are no guidelines.
{/foreach}
