<div id="toolbar">
{if $user->hasPermission(Permission::BREAPPLICATION_WRITE)}
<button
 type                 = "button"
 class                = "btn btn-primary"
 data-sy-dialog-click = "require"
 data-sy-require      = "dialog/editBRE"
 data-sy-url          = "index.php?page=applications&action=addForm"
 data-sy-title        = "Add a new application"
>
	<i class="fa fa-plus"></i> Add new application
</button>
{/if}
</div>

<div id="bre-application-panel">
{if $user->hasPermission(Permission::BREAPPLICATION_READ)}
<div class="row">
	<div class="col-md-12">
		<div class="panel panel-default">
			<div class="panel-heading chosen-nonblock">
				{include file="applications/snippets/applicationSelectButton.tpl"}
				<button id="reload-application" class="btn btn-default btn-xs" title="Reload" type="button"><i class="fa fa-refresh"></i></button>
			</div>
			<div class="panel-body">
				<div id="component_information"></div>
				<div id="application_container"></div>
				<div id="buttons_container"></div>
			</div>
		</div>
	</div>
</div>
{/if}
</div>

{literal}
<script id="item_details" type="text/x-handlebars-template">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><b>{{capitalize type}}: {{name}}</b></h3>
		</div>
		<table class="table">
			<tr>
				<th>State</th>
				<td><i title="{{state}}" class="{{stateClasses}}"></i></td>
			</tr>
		</table>
	</div>
</script>
<script id="component_details" type="text/x-handlebars-template">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><b>{{capitalize type}}: {{name}}</b></h3>
		</div>
		<table class="table">
			<tr>
				<th>State</th>
				<td><i title="{{state}}" class="{{stateClasses}}"></i></td>
			</tr>
			<tr>
				<th>Min available</th>
				<td>{{min_available}}</td>
			</tr>
			<tr>
				<th>Description</th>
				<td>{{description}}</td>
			</tr>
		</table>
	</div>
</script>
{/literal}

{if $user->hasPermission(Permission::BREAPPLICATION_WRITE)}
{literal}
<script id="component_buttons" type="text/x-handlebars-template">
	<div class="buttons">
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=addComponentForm&application={{application}}&parent={{id}}"
		 data-sy-title        = "Add a new component"
		>
			<i class="fa fa-plus"></i> component
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=addServiceForm&component={{id}}&application={{application}}"
		 data-sy-title        = "Add a service"
		>
			<i class="fa fa-plus"></i> service
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=addHostForm&component={{id}}&application={{application}}"
		 data-sy-title        = "Add a host"
		>
			<i class="fa fa-plus"></i> host
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=addApplicationForm&component={{id}}&application={{application}}"
		 data-sy-title        = "Add an application"
		>
			<i class="fa fa-plus"></i> application
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=editComponentForm&component={{id}}"
		 data-sy-title        = "Edit the component"
		>
			<i class="fa fa-pencil"></i>
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-danger"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=deleteComponentForm&component={{id}}"
		 data-sy-title        = "Delete the component"
		>
			<i class="fa fa-minus"></i>
		</button>
	</div>
</script>
<script id="item_buttons" type="text/x-handlebars-template">
	<div class="buttons">
		<button
		 type                 = "button"
		 class                = "btn btn-danger"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=delete{{capitalize type}}Form&{{type}}={{id}}&component={{parent}}"
		 data-sy-title        = "Remove the {{type}}"
		>
			<i class="fa fa-minus"></i>
		</button>
	</div>
</script>
<script id="root_buttons" type="text/x-handlebars-template">
	<div class="buttons">
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=addComponentForm&application={{id}}"
		 data-sy-title        = "Add a new component"
		>
			<i class="fa fa-plus"></i> component
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-primary"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=editForm&application={{id}}"
		 data-sy-title        = "Edit the application"
		>
			<i class="fa fa-pencil"></i>
		</button>
		<button
		 type                 = "button"
		 class                = "btn btn-danger"
		 data-sy-dialog-click = "require"
		 data-sy-require      = "dialog/editBRE"
		 data-sy-url          = "index.php?page=applications&action=deleteForm&application={{id}}"
		 data-sy-title        = "Delete the application"
		>
			<i class="fa fa-minus"></i>
		</button>
	</div>
</script>
{/literal}
{/if}
