<button
	type="button"
	title="Edit this host"
	class="btn btn-default btn-sm"
	id="edit-{$model->id|escape}"
	data-sy-url="index.php?page=hosts&action=edit"
	data-sy-dialog-click="require"
	data-sy-require="dialog/edit"
	data-sy-data='{ "id":{$model->id|escape}}'
	data-sy-method="get"
	data-sy-title="Edit host '{$model->hostname|escape}'"
	{if !$user->hasPermissionForCustomer(Permission::HOSTS_WRITE, $model->customerId)}
	disabled
	{/if}
>
	<i class="fa fa-pencil"></i>
</button>
<button
	type="button"
	title="Manage services assigned to this host"
	class="btn btn-default btn-sm"
	id="hostServices-{$model->id|escape}"
	data-sy-url="index.php?page=hosts&action=hostServices"
	data-sy-dialog-click="require"
	data-sy-require="dialog/edit"
	data-sy-data='{ "id":{$model->id|escape}}'
	data-sy-method="get"
	data-sy-title="Assign services for host '{$model->hostname|escape}'"
	{if !$user->hasPermissionForCustomer(Permission::HOSTS_WRITE, $model->customerId)}
	disabled
	{/if}
>
	<i class="fa fa-wrench"></i>
</button>
<button
	type="button"
	class="btn btn-default btn-sm"
	title="Delete this host"
	data-sy-url="index.php?page=hosts&action=delete"
	data-sy-dialog-click="require"
	data-sy-require="dialog/confirm"
	data-sy-data='{ "id":{$model->id|escape}}'
	data-sy-method="post"
	data-sy-confirm-title="Delete host '{$model->hostname|escape}'?"
	data-sy-confirm="{include file='hosts/datatable/deleteConfirmation.tpl'|escape}"
	data-sy-for="#item{$model->id}"
	data-sy-hide="#item{$model->id}"
	data-sy-action="replaceWith"
	data-sy-growl="The host '{$model->hostname|escape}' was successfully deleted"
	data-sy-notify="notify/export"
	{if !$user->hasPermissionForCustomer(Permission::HOSTS_WRITE, $model->customerId)}
	disabled
	{/if}
>
	<i class="fa fa-trash-o"></i>
</button>
<button
	type="button"
	class="btn btn-default btn-sm"
	title="Check this host"
	data-sy-event-click="require"
	data-sy-url="index.php?page=monitoringCommand&action=hostCheck"
	data-sy-data='{ "hostId":{$model->id|escape}}'
	data-sy-method="post"
	data-sy-growl="Checking host '{$model->hostname|escape}'..."
	{if !$user->hasPermissionForCustomer(Permission::HOSTS_WRITE, $model->customerId) || $model->isSatellite || !$model->satelliteId === null}
	disabled
	{/if}
>
	<i class="fa fa-refresh"></i>
</button>
<button
	type="button"
	class="btn btn-default btn-sm"
	title="Add downtime for this host"
	data-sy-dialog-click="require"
	data-sy-require="dialog/edit"
	data-sy-url="index.php?page=hosts&action=downtimeForm"
	data-sy-data='{ "hostId":{$model->id|escape}}'
	data-sy-method="get"
	data-sy-title="Add downtime for host '{$model->hostname|escape}'"
	{if !$user->hasPermissionForCustomer(Permission::DOWNTIMES_WRITE, $model->customerId)}
	disabled
	{/if}
>
	<i class="fa fa-moon-o"></i>
</button>
