<td>{$group->name|escape}</td>
<td>{$group->description|escape}</td>
<td>{$group->getCustomer()->name|escape}</td>
<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this host group"
	 class="btn btn-default btn-sm"
	 id="edit-{$group->id}"
	 data-sy-url="index.php?page=hostGroups&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$group->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit group '{$group->name|escape}'"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage hosts assigned to this group"
	 class="btn btn-default btn-sm"
	 id="versions-{$group->id}"
	 data-sy-url="index.php?page=hostGroups&action=groupHosts"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$group->id}}'
	 data-sy-method="get"
	 data-sy-title="Assigned hosts for group '{$group->name|escape}'"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Delete this host group"
	 class="btn btn-default btn-sm"
	 id="delete-{$group->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete host group '{$group->name|escape}'"
	 data-sy-confirm="Do you really want to delete the host group '{$group->name|escape}'?"
	 data-sy-url="index.php?page=hostGroups&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$group->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$group->id}"
	 data-sy-growl="The host group '{$group->name|escape}' was successfully deleted"
	 data-sy-notify="notify/export"
	 data-sy-hide="#item{$group->id}"
	 {if !$user->hasPermission(Permission::HOSTS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
