{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.hostType->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.hostType->id}}'"}
	{assign 'syTarget' "#item{$parameters.hostType->id}"}
	{assign 'syAction' 'replaceWith'}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-url="index.php?page=hostTypes&amp;action={$action}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The host type was successfully saved"
 data-sy-hide="#listNoHostTypes"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">{'Host type information'|tr} <small>{if $parameters.hostType->id}Host type ID {$parameters.hostType->id|escape}{else}New host type{/if}</small></h3>
		</div>
		<table class="table">
		<tr>
			<td><label for="name">Name:</label></td>
			<td><input class="required form-control" id="name" name="name" type="text" maxlength="32" value="{$parameters.hostType->name|escape}" /></td>
			<td><label for="short">Short:</label></td>
			<td><input class="required form-control" id="short" name="short" type="text" maxlength="2" value="{$parameters.hostType->short|escape}" /></td>
		</tr>
		</table>
	</div>
	<div id="placeholder-footer"></div>
</form>
