<div class="panel panel-default">
	<table class="table table-striped">
	{foreach from=$parameters.slas item=sla name=slas}
		<tr class="{cycle values='odd,even'}">
			<td valign="top">
				<b>{$sla['sla']->name|escape}</b><br />
				<small>
					Cycle delay: {$sla['sla']->delayCycle|escape}<br />
					Restart delay: {$sla['sla']->delayRestart|escape}<br />
					Timeout: {$sla['sla']->timeout|escape}
				</small>
			</td>
			<td valign="top">
				{$sla['sla']->description|escape}<br />
				<small>
				{if array_key_exists('timeframes', $sla)}
					{foreach from=$sla['timeframes'] item=timeframe}
						{$timeframe['timeframe']->timeFrom|date_format:"%H:%M"} - {$timeframe['timeframe']->timeTo|date_format:"%H:%M"}:
						<ul>
						{foreach from=$timeframe['rules'] item=rule}
							 <li>
								{$rule->getSLAAction()->description} after <b>{$rule->delay}</b> minutes. {if $timeframe['timeframe']->monday}Mo {/if}{if $timeframe['timeframe']->tuesday}Tu {/if}{if $timeframe['timeframe']->wednesday}We {/if}{if $timeframe['timeframe']->thursday}Th {/if}{if $timeframe['timeframe']->friday}Fr {/if}{if $timeframe['timeframe']->saturday}Sa {/if}{if $timeframe['timeframe']->sunday}Su {/if}
							</li>
						{foreachelse}
							No rules for time frame '#{$timeframe['timeframe']->id|escape}' have been defined.
						{/foreach}
					{/foreach}
				{else}
					No timeframes have been defined.
				{/if}
				</small>
			</td>
		</tr>
	{foreachelse}
		<tr class="{cycle values='odd,even'}">
			<td valign="top">
				There are no Alert Schedulers.
			</td>
		</tr>
	{/foreach}
	</table>
</div>
