<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = 'import';
//-->
</script>

<div
	document.target_page = 'hostGroups';
 id="importWizard"
 class="wizard ajax-require"
 data-sy-require="wizard/import"
>
	<ul class="steps">
		<li data-target="#step1" class="active"><span class="badge badge-info">1</span>{'Upload files'|tr}<span class="chevron"></span></li>
		<li data-target="#step2"><span class="badge">2</span>{'Import settings'|tr}<span class="chevron"></span></li>
		<li data-target="#step3"><span class="badge">3</span>{'Conflicts'|tr}<span class="chevron"></span></li>
		<li data-target="#step4"><span class="badge">4</span>{'Overview'|tr}<span class="chevron"></span></li>
	</ul>
</div>
<div class="step-content">
	<div class="step-pane active" id="step1">
		<div id="file-drop">
		<div class="jumbotron">
			<h1>{'Welcome!'|tr}</h1>
			<p>{'I will assist you with the import of existing Nagios or Icinga configuration files to SyMonitoring. You may now proceed by dragging your Nagios or Icinga configuration files into this wizard and clicking the next button.'|tr}</p>
		</div>

		<div id="progressDiv" class="text-center"></div>

		<table id="uploads" class="table table-striped">
			<thead>
				<tr>
					<th width="40%">
						{'File name'|tr}
					</th>
					<th class="text-right">
						{'Hosts'|tr}
					</th>
					<th class="text-right">
						{'Services'|tr}
					</th>
					<th class="text-right">
						{'Commands'|tr}
					</th>
					<th class="text-right">
						{'Host groups'|tr}
					</th>
					<th width="5%">
					</th>
				</tr>
			</thead>
			<tbody>
{foreach $parameters.files as $file}
				<tr>
					<td>
						{$file->name|escape}
					</td>
					<td class="text-right">
						{$file->hosts|escape}
					</td>
					<td class="text-right">
						{$file->services|escape}
					</td>
					<td class="text-right">
						{$file->commands|escape}
					</td>
					<td class="text-right">
						{$file->hostgroups|escape}
					</td>
					<td class="text-right break-none">
						<button id="delete-{$file->id|escape}" type="button" class="deleteFile btn btn-default btn-sm">
							<span class="glyphicon glyphicon-trash"></span>
						</button>
					</td>
				</tr>
{/foreach}
			</tbody>
		</table>
		</div>
	</div>
	<div class="step-pane" id="step2">
		<div class="well">
			{'The following settings will be applied to all objects by default. Choose the values which fit for most systems - you may freely change these pre-settings later. When clicking on Next please be patient - I need to resolve all the dependencies before we may proceed to the next step. This may take a minute.'|tr}
		</div>
		<form id="settingsForm" action="?page=import&action=saveSettings">
		  <div class="form-group">
			<label for="defaultCustomerId">{'Default customer'|tr}</label>
			<span class="help-block">{'Hosts will be assigned to this customer by default.'|tr}</span>
			<select name="defaultCustomerId" class="combobox" id="defaultCustomerId">
				{html_options options=$select.customers selected=$parameters.defaultCustomerId}
			</select>
		  </div>
		  <div class="form-group">
			<label for="defaultOsId">{'Default operating system'|tr}</label>
			<span class="help-block">{'Hosts will get this operating system by default.'|tr}</span>
			<select name="defaultOsId" class="combobox" id="defaultOsId">
				{html_options options=$select.operatingSystems}
			</select>
		  </div>
		</form>
	</div>
	<div class="step-pane" id="step3">
	</div>
	<div class="step-pane" id="step4">
	</div>
	<div class="pull-left">
		<button type="button" id="buttonImportCancel" class="btn btn-link btn-xs">{'Cancel import'|tr}</button>
	</div>
	<div class="pull-right">
		<button type="button" id="buttonImportNext" class="btn btn-primary btn-next" data-last="Finish">{'Next'|tr}</button>
	</div>
	<div class="clearfix"></div>
</div>
