<!DOCTYPE html>
<html lang="en">

{include file="head.tpl"}

<body>

{include file="menu.tpl"}

<div class="container">
	<div class="row">
		<div id="exportResponse"></div>
		<div id="mainMessage" class="jGrowl top-right"></div>
		<div id="centerMessage" class="jGrowl center"></div>

		{if isset($templateSubmenu)}
		<div class="col-md-2 ui-widget hidden-print">
			<div class="list-group">
			{include file=$templateSubmenu}
			</div>
		</div>
		<div class="col-md-10">
		{else}
		<div class="col-md-12" id="wide-content">
		{/if}

			{if $hasErrorMessages}
			<div id="error-container" class="alert alert-danger break-word">
				<strong id="error-header">{'An error occured'|tr}</strong>
				<div id="error-body">
					<ul>
					{foreach from=$errorMessages item=message}
						<li>
							{$message|nl2br}
						</li>
					{/foreach}
					</ul>
				</div>
			</div>
			{/if}

			{if $hasNotifyMessages}
			<div id="notice-container" class="alert alert-info break-word">
				<strong id="notice-header">{'Notice'|tr}</strong>
				<div id="notice-body">
				<ul>
				{foreach from=$notifyMessages item=message}
					<li>
						{$message}
					</li>
				{/foreach}
				</ul>
				</div>
			</div>
			{/if}

			{if isset($template)}
				<div id="box_template" class="ajax-init">
					{include file=$template}
				</div>
			{/if}
		</div>
	</div>
</div>

{include file="footer.tpl"}

</body>
</html>
