<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Alert log for {$parameters.alert->getHost()->hostname}, incident #{$parameters.alert->id} (Alert Scheduler: {if $parameters.alert->slaId}{$parameters.alert->getSLA()->name}{else}<i>None</i>{/if}{if $parameters.alert->datetimeRecovery != null}, recovery: {$parameters.alert->datetimeRecovery}{/if})</h3>
	</div>
{foreach from=$parameters.alert->getAlertLog() item=item name=items}
{if $smarty.foreach.items.first}
		<table class="table table-striped">
		<tr>
			<th>Timestamp</th>
			<th>Action</th>
			<th>User</th>
		</tr>
{/if}
		<tr class="{if $item->hasFailed}danger{/if}">
			<td>{$item->timestamp}</td>
			<td>
				{$item->getNotificationType()->description} {if $item->hasFailed}(failed){/if}
			</td>
			<td>
				{if $item->userId}
					{$item->getUser()->fullName}
				{else}
					<i>None</i>
				{/if}
			</td>
		</tr>
{if $smarty.foreach.items.last}
		</table>
{/if}
{foreachelse}
	<div class="panel-body">
	{"There were no notifications yet."|tr}
	</div>
{/foreach}
</div>
