<div class="alerts_comment {cycle values='comment_odd,comment_even'}">
	<div class="alert_comment_left">
		{$comment->getUser()->fullName|escape}<br />
		<small>{$comment->timestamp|date_format:"%d.%m.%Y %H:%M:%S"}</small>

		{if $user->hasPermissionForCustomer(Permission::ALERTS_WRITE, $parameters.alert->customerId)}
			<br />
			<small>
				<button
				 type="button"
				 title="Delete this comment"
				 class="btn btn-default btn-sm"
				 id="delete-{$comment->id}-{$comment->alertId}"
				 data-sy-dialog-click="require"
				 data-sy-confirm-title="Delete comment '{$comment->id|escape}'?"
				 data-sy-confirm="Do you really want to delete the comment '{$comment->id|escape}'?"
				 data-sy-url="index.php?page={$page}&action=deleteComment"
				 data-sy-require="dialog/confirm"
				 data-sy-data='{ "commentId":{$comment->id},"alertId":{$comment->alertId}}'
				 data-sy-method="post"
				 data-sy-for="#alert-comments,#alert-comment-item-{$comment->id}"
				 data-sy-action="replaceWith"
				 data-sy-growl="The comment '{$comment->id|escape}' was successfully deleted"
				>
					<i class="fa fa-trash-o"></i>
				</button>
			</small>
		{/if}

		<p>
			<small>{', '|implode:$comment->getAlertTagsAsArray()}</small>
		</p>
	</div>

	<div class="alert_comment_right">
		{$comment->comment|escape|nl2br}
	</div>

	<div class="alert_comment_bottom"></div>
</div>
