<script>
	document.target_page = 'notifications';
	document.sort_column = 1;
	document.sort_by = 'desc';
	document.datatableSettings = {
		'columns': [
			{ 'orderable': false },
			null,
			null,
			null,
			null,
			{ 'orderable': false },
			null,
		],
		'columnDefs': [
			{ type: 'de_datetime', targets: [ 2 ] }
		]
	};
</script>

<form id="formDates" class="validateForm dataTableFilter">
	<div class="row">
		<div class="col-md-8">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><a href="#collapse" data-toggle="collapse" class="collapsed"><i class="fa fa-chevron-down"></i> Filter</a></h3>
				</div>
				<div id="collapse" class="panel-collapse collapse">
					<table id="filter" class="table">
						<tr>
							<td>
								<label for="dateFrom">From:</label>
							</td>
							<td>
								<input type="text" id="dateFrom" name="dateFrom" class="form-control datePicker"
								value="{if $parameters.dateFrom}{$parameters.dateFrom|date_format:'%Y-%m-%d'}{/if}" />
							</td>
							<td>
								<label for="dateTo">To:</label>
							</td>
							<td>
								<input type="text" id="dateTo" name="dateTo" class="form-control datePicker" value="{$parameters.dateTo|date_format:'%Y-%m-%d'}" />
							</td>
						</tr>
						<tr>
							<td>
								<label for="timeFrom">Time from:</label>
							</td>
							<td>
								<input type="text" id="timeFrom" name="timeFrom" class="form-control timePicker" value="" />
							</td>
							<td>
								<label for="time_to">Time to:</label>
							</td>
							<td>
								<input type="text" id="timeTo" name="timeTo" class="form-control timePicker" value="" />
							</td>
						</tr>
						<tr>
							<td>
								<label for="customerId">Customer:</label>
							</td>
							<td colspan="3">
								<select class="combobox" id="customerId" name="customerId"
								 data-sy-change="change"
								 data-sy-url="index.php?page=notifications&amp;action=getCustomerHosts"
								 data-sy-from="#customerId"
								 data-sy-for="#customerHosts"
								>
									<option value="0" selected>-- All --</option>
									{html_options options=$select.customers}
								</select>
							</td>
						</tr>
						<tr>
							<td>
								<label for="hostId">Host:</label>
							</td>
							<td colspan="3" id="customerHosts">
								{include file="logs/notificationsHosts.tpl"}
							</td>
						</tr>
						<tr>
							<td>
								<label for="hostId">Alerted:</label>
							</td>
							<td colspan="3">
								<input type="checkbox" id="alerted" name="alerted" />
							</td>
							<td>
						</tr>
					</table>
					<div class="panel-footer text-right">
						<button
						 type="button"
						 class="btn btn-primary reload"
						 title="Show notifications"
						>
							<i class="fa fa-rocket"></i> Show
						</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</form>

{include file="logs/reloadSelect.tpl"}

<div id="notificationsList">
	{include file="logs/notificationsList.tpl"}
</div>
