{if $parameters.action == "addForm"}
	{assign 'formId' 'formAdd'}
	{assign 'action' 'add'}
	{assign 'syData' ''}
	{assign 'syTarget' '#list tbody'}
	{assign 'syAction' 'append'}
{else}
	{assign 'formId' "form{$parameters.checklist->id}"}
	{assign 'action' 'save'}
	{assign 'syData' "data-sy-data='{ \"id\": {$parameters.checklist->id}}'"}
	{assign 'syTarget' "#item{$parameters.checklist->id}"}
	{assign 'syAction' ''}
{/if}

<form 
 id="{$formId}"
 class="validateForm ajax-form"
 data-sy-url="index.php?page=maintenanceChecklists&amp;action={$action}"
 data-sy-from="#{$formId}"
 data-sy-for="{$syTarget}"
 data-sy-action="{$syAction}"
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="The checklist was successfully saved"
 data-sy-hide="#listNoChecklists"
 {$syData}
>
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">Checklist information <small>{if $parameters.checklist->id}Checklist ID {$parameters.checklist->id}{else}New checklist{/if}</small></h3>
		</div>
		<table class="table">
			<tr>
				<td><label for="name">Name:</label></td>
				<td colspan="3"><input class="form-control required nagiosname" id="name" name="name" type="text" maxlength="32" value="{$parameters.checklist->name|escape}" /></td>
			</tr>
			<tr>
				<td><label for="description">Description:</label></td>
				<td><input class="required form-control" id="description" name="description" type="text" maxlength="255" value="{$parameters.checklist->comment|escape}" /></td>
			</tr>
		</table>

	</div>
	<div id="placeholder-footer" />
</form>
