<td>{$checklist->name|escape}</td>
<td>{$checklist->comment|escape}</td>

<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this checklist"
	 class="btn btn-default btn-sm"
	 id="edit-{$checklist->id}"
	 data-sy-url="index.php?page=maintenanceChecklists&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$checklist->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit checklist '{$checklist->name|escape}'"
	 {if !$user->hasPermission(Permission::MAINTENANCE_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage questions assigned to this checklist"
	 class="btn btn-default btn-sm"
	 id="questions-{$checklist->id}"
	 data-sy-url="index.php?page=maintenanceChecklists&action=questions"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$checklist->id}}'
	 data-sy-method="get"
	 data-sy-title="Manage questions for checklist '{$checklist->name|escape}'"
	 {if !$user->hasPermission(Permission::MAINTENANCE_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-clipboard"></i>
	</button>
	<button
	 type="button"
	 title="Delete this checklist"
	 class="btn btn-default btn-sm"
	 id="delete-{$checklist->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete checklist '{$checklist->name|escape}'"
	 data-sy-confirm="Do you really want to delete the checklist '{$checklist->name|escape}'?"
	 data-sy-url="index.php?page=maintenanceChecklists&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$checklist->id}}'
	 data-sy-method="post"
	 data-sy-hide="#item{$checklist->id}"
	 data-sy-growl="The checklist '{$checklist->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::MAINTENANCE_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
