<script>
	document.sort_column = 4;
	document.sort_by = 'desc';
	document.datatableSettings = {
		'columns': [
			null,
			{ 'className': 'break-word-medium' },
			null,
			null,
			null,
			null,
			{ 'orderable': false }
		],

	  'columnDefs': [
			{ type: 'de_datetime', targets: [ 3, 4 ] }
		]
	}

	document.initialize = [].concat(document.initialize, [function(context) {
		$('.dataTable', context).each(function () {
			var $dataTable = $(this)

			$('#hostId').change(function(e){
				var val = this.value > 0 ? this.options[this.selectedIndex].innerHTML : ''

				$dataTable.dataTable().fnFilter(val,	1)
			})
			$('#recurring').change(function(e){
				$dataTable.dataTable().fnFilter(this.value,	5)
			})
		})
	}]);
</script>

<table id="list" class="dataTable ajaxList table table-striped table-bordered">
	<thead>
		<tr>
			<th>Customer</th>
			<th>Host</th>
			<th>Service</th>
			<th>From</th>
			<th>To</th>
			<th>Recurring</th>
			<th></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="7" class="dataTables_empty">Loading data from server</td>
		</tr>
	</tbody>
	<tfoot>
		<tr>
			<th>Customer</th>
			<th>Host</th>
			<th>Service</th>
			<th>From</th>
			<th>To</th>
			<th>Recurring</th>
			<th></th>
		</tr>
	</tfoot>
</table>
