<table class="table table-striped">
<tr>
	<th>Name</th>
	<th>Description</th>
	<th></th>
</tr>
{foreach from=$parameters.group->getMembers() item=member name=hosts}
	{$host = $member->getHost()}
	<tr id="#item{$member->id}">
		<td class="break-word-small">{$host->hostname|escape}</td>
		<td class="break-word-medium">{$host->description|escape}</td>
		<td>
			<button
			 type="button"
			 title="Remove this host"
			 class="btn btn-default btn-sm"
			 id="delHost-{$host->id}"
			 data-sy-dialog-click="require"
			 data-sy-confirm-title="Remove host '{$host->hostname|escape}'?"
			 data-sy-confirm="Do you really want to remove the host '{$host->hostname|escape}'?"
			 data-sy-url="index.php?page=maintenanceGroups&amp;action=deleteHost"
			 data-sy-require="dialog/confirm"
			 data-sy-data='{ "memberId":{$member->id}}'
			 data-sy-method="post"
			 data-sy-for="#itemInfo"
			 data-sy-growl="The host '{$host->hostname|escape}' was successfully removed"
			>
				<i class="fa fa-trash-o"></i>
			</button>
	</tr>
{foreachelse}
	<tr>
		<td>
			There are no hosts.
		</td>
		<td></td>
		<td></td>
	</tr>
{/foreach}
</table>
