<td>{$group->name|escape}</td>
<td>{$group->getCustomer()->name}</td>
<td>{$group->description|escape}</td>

{if $user->hasPermission(Permission::MAINTENANCEGROUPS_WRITE)}
<td class="break-none text-right">
	<button
	 type="button"
	 title="Edit this maintenance group"
	 class="btn btn-default btn-sm"
	 id="edit-{$group->id}"
	 data-sy-url="index.php?page=maintenanceGroups&amp;action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$group->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit maintenance group '{$group->name|escape}'"
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 title="Manage hosts assigned to this maintenance group"
	 class="btn btn-default btn-sm"
	 id="groupHosts-{$group->id|escape}"
	 data-sy-url="index.php?page=maintenanceGroups&amp;action=groupHosts"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$group->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Assign hosts for maintenance group '{$group->name|escape}'"
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Manage checklists that are assigned to this maintenance group"
	 class="btn btn-default btn-sm"
	 id="editGroupChecklist-{$group->id|escape}"
	 data-sy-url="index.php?page=maintenanceGroups&amp;action=checklists"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$group->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage checklists for maintenance group '{$group->name|escape}'"
	>
		<i class="fa fa-clipboard"></i>
	</button>
	<button
	 type="button"
	 class="btn btn-default btn-sm"
	 title="Delete this maintenance group"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/confirm"
	 data-sy-confirm-title="Delete maintenance group '{$group->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the maintenance group '{$group->name|escape}'?"
	 data-sy-url="index.php?page=maintenanceGroups&amp;action=delete"
	 data-sy-data='{ "id":{$group->id|escape}}'
	 data-sy-method="post"
	 data-sy-hide="#item{$group->id}"
	 data-sy-action="replaceWith"
	 data-sy-growl="The maintenance group '{$group->name|escape}' was successfully deleted"
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
{/if}
