<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = 'maintenanceHosts';
	document.sort_column = 1;
	document.sort_by = "asc";
	document.datatableSettings = {
		'columns': [
			{ 'orderable': false },
			null,
			{ 'visible': false },
			{ 'className': 'break-word-large' },
			null,
			{ 'orderable': false },
		],
		'columnDefs': [
			{ 'orderData': 2, 'targets': [ 3 ] }
		]
	}
//-->
</script>

<form id="formHosts" class="validateForm ajax-form">
{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
	<div class="row">
		<div class="col-md-4">
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><a href="#collapse" data-toggle="collapse" class="collapsed" ><i class="fa fa-chevron-down"></i> Bulk action</a></h3>
				</div>
				<div id="collapse" class="panel-collapse collapse">
					<table id="filter" class="table">
						<tr>
							<td><label for="userId">User:</label></td>
							<td><select class="required form-control" id="userId" name="userId"><option value="0">Nobody</option>{html_options options=$select.users}</select></td>
						</tr>
						<tr>
							<td><label for="dateDue">Due date:</label></td>
							<td><input class="datePicker form-control" id="dateDue" name="dateDue" /></td>
						</tr>
					</table>
					<div class="panel-footer text-right">
						<!-- class: bulkAdd -->
						<button
						 type="button"
						 class="btn btn-primary"
						 title="Add maintenance"
						 data-sy-dialog-click="require"
						 data-sy-confirm-title="Really add maintenance?"
						 data-sy-confirm="A ticket creation request for the selected hosts will be sent. Please do not forget to verify the open tickets."
						 data-sy-require="dialog/confirm"
						 data-sy-url="index.php?page=maintenanceHosts&action=bulkAdd"
						 data-sy-from="#formHosts"
						 data-sy-method="post"
						 data-sy-growl="Notice: A ticket creation request for the selected hosts has been sent. Please do not forget to verify the open tickets."
						>
							<i class="fa fa-plus"></i> Add maintenance
						</button>
					</div>
				</div>
			</div>
		</div>
	</div>
{/if}

	<table id="list" class="dataTable ajaxList table table-striped table-bordered">
		<thead>
			<tr>
				<th>
					<input
					 type="checkbox"
					 id="checkHosts"
					 class="normal"
					 name="allHosts"
					 value="1"
					 data-sy-change="require"
					 data-sy-require="event/checkElements"
					 data-sy-from="#checkHosts"
					 data-sy-for=".hosts"
					 {if !$user->hasPermission(Permission::MAINTENANCE_WRITE)}
					 disabled
					 {/if}
					/>
				</th>
				<th>Customer</th>
				<th>Hostname Sort</th>
				<th>Hostname</th>
				<th>OS</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="6" class="dataTables_empty">Loading data from server</td>
			</tr>
		</tbody>
	</table>
</form>
