{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">Add a checklist to host {$parameters.host->hostname|escape}</h3>
	</div>
	<div class="panel-body chosen-nonblock">
		<select id="hostChecklists" name="checklistId" class="combobox hostchecklists">
			{html_options options=$select.checklists}
		</select>
		<button
		 type="button"
		 class="btn btn-default"
		 data-sy-event-click="require"
		 data-sy-url="index.php?page=maintenanceHosts&amp;action=addChecklist"
		 data-sy-method="post"
		 data-sy-data='{ "id":{$parameters.host->id}}'
		 data-sy-from="#hostChecklists"
		 data-sy-for="#hostsChecklistsContainer"
		>
			<i class="fa fa-plus"></i>&nbsp;Add checklist
		</button>
	</div>
</div>
{/if}

<div id="hostsChecklistsContainer">
	{include file="maintenance/hostsChecklists.tpl"}
</div>

{include file="maintenance/hostsQuestions.tpl"}
