{foreach from=$parameters.checklists item=checklist name=checklists}
<div id="checklist-{$checklist->id|escape}" class="panel panel-default">
	<div class="panel-heading">
		<div class="pull-right">
			<button
			 type="button"
			 class="btn btn-default btn-link"
			 data-sy-dialog-click="require"
			 data-sy-require="dialog/confirm"
			 data-sy-confirm-title="Delete checklist '{$checklist->name|escape}'?"
			 data-sy-confirm="Do you really want to delete the checklist '{$checklist->name|escape}'?"
			 data-sy-url="index.php?page=maintenanceHosts&amp;action=deleteChecklist"
			 data-sy-data='{ "id":{$parameters.host->id|escape},"checklistId":{$checklist->id|escape}}'
			 data-sy-method="post"
			 data-sy-for="#checklist-{$checklist->id|escape}"
			 data-sy-growl="The checklist '{$checklist->name|escape}' was successfully removed from host '{$parameters.host->hostname|escape}'"
			>
				<i class="fa fa-trash-o"></i> {'Remove'|tr}
			</button>
		</div>
		<h3 class="panel-title">{$checklist->name|escape}</h3>
	</div>
	<div class="panel-body">
		{$checklist->comment|escape}
	</div>
	{include file="maintenance/questions.tpl" checklist=$checklist page="maintenanceHosts" primaryChecklistId=$parameters.host->getPrimaryChecklist()->id}
</div>
{/foreach}
