<tr id="host-checklist-question-{$question->id|escape}">
	<td>{$question->name|escape}</td>
	<td>{$question->comment|escape}</td>
	{if $user->hasPermission(Permission::MAINTENANCE_WRITE)}
	<td class="text-right break-none">
		<button
		 type="button"
		 class="btn btn-default btn-sm"
		 data-sy-dialog-click="require"
		 data-sy-require="dialog/confirm"
		 data-sy-confirm-title="Delete question '{$question->name|escape}'?"
		 data-sy-confirm="Do you really want to delete the question '{$question->name|escape}'?"
		 data-sy-url="index.php?page=maintenanceHosts&action=deleteQuestion"
		 data-sy-data='{ "hostId":{$parameters.host->id|escape},"checklistId":{$parameters.host->getPrimaryChecklist()->id|escape},"questionId":{$question->id|escape}}'
		 data-sy-method="post"
		 data-sy-action="replaceWith"
		 data-sy-for="#host-checklist-question-{$question->id|escape}"
		 data-sy-growl="The question '{$question->name|escape}' for checklist {$parameters.host->getPrimaryChecklist()->name|escape} was successfully deleted"
		>
			<i class="fa fa-trash-o"></i>
		</button>
	</td>
	{/if}
</tr>
