<script language="JavaScript" type="text/javascript">
<!--//
	document.target_page = 'reports';
//-->
</script>

<form id="formCriteria" class="validateForm ajax-form hidden-print ajax-require" data-sy-require="custom/reports">
	<div class="row">
		<div class="col-md-2">
			{if $select.optgroups}
			<label for="optgroups">Customer</label>
			<select id="optgroups" class="combobox form-control" name="optgroups">
				<option>-- choose --</option>
				{html_options options=$select.optgroups}
			</select>
			{/if}
		</div>
		<div class="col-md-3">
			{if $select.hosts}
			<label for="hostId">Hosts</label>
			<select class="combobox grouped col-md-12" id="hostId" name="hostIds[] form-control" multiple="multiple">
				{html_options options=$select.hosts}
			</select>
			{/if}
		</div>
		<div class="col-md-3">
			{if $select.applications}
			<label for="applicationId">Applications</label>
			<select class="combobox grouped col-md-12" id="applicationId" name="applicationsIds[] form-control" multiple="multiple">
				{html_options options=$select.applications}
			</select>
			{/if}
		</div>
        <div class="col-md-4">
            <label for="dateRange">Date range</label>
            <input type="text" id="dateRange" name="dateRange" class="daterangePicker required form-control" value="{$parameters.dateFrom->toString("yyyy-MM-dd")} - {$parameters.dateTo->toString("yyyy-MM-dd")}" />
        </div>
	</div>
    <div class="row">
        <div class="col-md-1">
            <button id="submit-btn" type="button" class="btn btn-primary">Show</button>
        </div>
        <div class="col-md-1">
            <button id="print-report-btn" class="btn btn-default" type="button">Print</button>
        </div>
    </div>
</form>

<div id="timeline" class="row">

</div>

<div class="row">
	<div class="col-md-7" style="min-height:100px">
		<table id="hostReports" class="table table-striped">
		</table>
		<table id="applicationReports" class="table table-striped">
		</table>
	</div>
	<div class="col-md-5" style="min-height:100px">
		<table id="alertReports" class="table table-striped hide">
		</table>
		<table id="downtimeReports" class="table table-striped hide">
		</table>
		<table id="stateReports" class="table table-striped hide">
		</table>
	</div>
</div>
<iframe name="print_report" width="0" height="0" frameborder="0" src="/"></iframe>

{literal}
<script id="fact_header" type="text/x-handlebars-template">
	<thead>
		<tr role="row">
			<th class="col-md-4">{{ capitalize type }}</th>
			<th class="col-md-1">Unavailable</th>
			<th class="col-md-1">Without downtimes</th>
			<th class="col-md-1">Within SLA</th>
			<th class="col-md-1">Issues</th>
			<th colspan="2" class="col-md-2"></th>
		</tr>
	</thead>
	<tbody>
	</tbody>
</script>
<script id="fact_details" type="text/x-handlebars-template">
	<tr role="row" class="{{#if isService}}hide show-{{hostId}}{{/if}}">
        {{#if isService}}
		<td class="col-md-4"><i class="fa fa-level-up fa-rotate-90"></i> {{ name }}</td>
        {{else}}
		<td class="col-md-4">{{ customer.name }}: {{ name }}</td>
        {{/if}}
		<td class="col-md-1" title="{{ humantime unavailable }}">{{ round unavailable_percent }} %</td>
		<td class="col-md-1" title="{{ humantime unavailable_wo_downtimes }}">{{ round unavailable_wo_downtimes_percent }} %</td>
		<td class="col-md-1" title="{{ humantime unavailable_wo_slatimes }}">{{ round unavailable_wo_slatimes_percent }} %</td>
		<td class="col-md-1">{{ issues }}</td>
		<td class="col-md-1">
            {{#unless isService}}
			<button class="btn btn-primary show-more" type="button" data-show-id="show-{{id}}">
				<i class="fa fa-plus-circle"></i>
			</button>
            {{/unless}}
        </td>
        <td class="col-md-1">
			<button id="{{ type }}:{{ id }}" class="btn btn-primary show-issues" type="button">
				<i class="fa fa-exclamation-circle"></i>
			</button>
		</td>
	</tr>
</script>
<script id="fact_app_header" type="text/x-handlebars-template">
	<thead>
		<tr role="row">
			<th class="col-md-4">{{ capitalize type }}</th>
			<th class="col-md-3">Unavailable</th>
			<th class="col-md-2">Issues</th>
			<th class="col-md-1"></th>
		</tr>
	</thead>
	<tbody>
	</tbody>
</script>
<script id="fact_app_details" type="text/x-handlebars-template">
	<tr role="row">
		<td class="col-md-4">{{ customer.name }}: {{ name }}</td>
		<td class="col-md-3" title="{{ humantime unavailable }}">{{ round unavailable_percent }} %</td>
		<td class="col-md-2">{{ issues }}</td>
		<td class="col-md-1">
			<button id="{{ type }}:{{ id }}" class="btn btn-primary show-issues" type="button">
				<i class="fa fa-exclamation-circle">
				</i>
			</button>
		</td>
	</tr>
</script>
<script id="incident_header" type="text/x-handlebars-template">
	<thead>
		<tr role="row">
			<th class="col-md-2">Type</th>
			<th class="col-md-2">From</th>
			<th class="col-md-1" title="Duration">Dur.</th>
            {{#if isAlert}}
			<th class="col-md-1" title="Acknowledged">Ack.</th>
            {{/if}}
            {{#if isAlert}}
			<th class="col-md-4">Issue</th>
            {{/if}}
		</tr>
	</thead>
	<tbody>
	</tbody>
</script>
<script id="incident_details" type="text/x-handlebars-template">
	<tr role="row">
		<td class="col-md-2">{{ type }} #{{ id }}</td>
		{{#if isAlert }}
		<td class="col-md-2">{{ datetimestr occurred }}</td>
		<td class="col-md-1" title="{{ datetimestr recovery }}">{{ humantime duration }}</td>
		<td class="col-md-1">
            {{#if acknowledged}}
            <i class="fa fa-check" title="{{ datetimestr acknowledged }}"></i>
            {{else}}
            <i class="fa fa-times"></i>
            {{/if}}
        </td>
		<td class="col-md-4">{{ output }}</td>
        {{/if}}
        {{#if isState}}
		<td class="col-md-2">{{ datetimestr occurred }}</td>
		<td class="col-md-2" title="{{ datetimestr recovery }}">{{ humantime duration }}</td>
		{{/if}}
        {{#if isDowntime}}
		<td class="col-md-2">{{ datetimestr from }}</td>
		<td class="col-md-2" title="{{ datetimestr to }}">{{ humantime duration }}</td>
		{{/if}}
		</td>
	</tr>
</script>
{/literal}

<div id="reportsAlerts" style="min-height:100px">
</div>
