<table class="table table-condensed table-striped alertInformationTable">
<tr>
	<td>
		{'Id'|tr}:
	</td>
	<td>
		#{$alert->id}
	</td>
</tr>
<tr>
	<td>
		{'Service'|tr}:
	</td>
	<td>
		{if $alert->serviceInstanceId !== null} {$alert->getService()->name} {else} Whole host {/if}
	</td>
</tr>
<tr>
	<td>
		{'Alert Scheduler'|tr}:
	</td>
	<td>
		{if $alert->slaId}
			{$alert->getSLA()->name} ({$alert->getSLACustomer()->name})
		{else}
			Happened outside of any Alert Scheduler.
		{/if}
	</td>
</tr>
<tr>
	<td>
		{'Issue'|tr}:
	</td>
	<td>
		{$alert->output}
	</td>
</tr>
<tr>
	<td>
		{'Occured'|tr}:
	</td>
	<td>
		{$alert->datetimeOccured}
	</td>
</tr>
<tr class="{if !$alert->datetimeRecovery}warning{/if}">
	<td>
		{'Recovered'|tr}:
	</td>
	<td>
		{if $alert->datetimeRecovery}
			{$alert->getDurationRecovery()}
		{else}
			Never
		{/if}
	</td>
</tr>
<tr class="{if !$alert->acknowledged}warning{/if}">
	<td>
		{'Acknowledged'|tr}:
	</td>
	<td>
		{if $alert->acknowledged}
			{if $alert->datetimeAcknowledged}
				{$alert->getDurationAcknowledge()} ({if $alert->acknowledgedAutomatically}Self-Healed{elseif $alert->acknowledgedBy}{$alert->getAcknowledgeUser()->fullName}{else}<i>Unknown</i>{/if})
			{else}
				N/A
			{/if}
		{else}
			Never
		{/if}
	</td>
</tr>
<tr>
	<td valign="top">
		{'Actions'|tr}:
	</td>
	<td>
		{foreach from=$alert->getAlertLog() item=logEntry name=alertLog}
			{if $smarty.foreach.alertLog.first}
				<table class="table table-condensed table-bordered">
			{/if}
			<tr>
				<td>
					{$logEntry->timestamp}
				</td>
				<td>
					{if $logEntry->userId}
						{$logEntry->getUser()->fullName}
					{else}
						System
					{/if}
				</td>
				<td>
					{$logEntry->getNotificationType()->name}
				</td>
			</tr>
			{if $smarty.foreach.alertLog.last}
				</table>
			{/if}
		{foreachelse}
			<i>None</i>
		{/foreach}
	</td>
</tr>
</table>
