{*
 *
 *
 * Usage:
 * {include file=right/rightTableForCustomer.tpl rights=rarray customer=cust}
 * 
 * rarray -> an array or dbiterator of the model right
 * cust   -> the customer on which you're working (model)
 *
 *}



<table class="customer-rights table table-striped">
	<tr>
		<th>{"User"|tr}</th>
		<th>{"Role"|tr}</th>
		<th>&nbsp;</th>
	</tr>

	{foreach from=$rights item=right}
	<tr id="right-item{$right->id}">
		<td>{$right->userName}</td>
		<td>
			{$right->roleName}
			{if $right->customerId != $customer->id}
				<i>{"inherit from"|tr} {$right->customerName}</i>
			{/if}
		</td>

		<td class="text-right">
			<button
			 type="button"
			 title="Remove permission from customer"
			 class="btn btn-default btn-sm"
			 id="rightId-{$right->id}"
			 data-sy-dialog-click="require"
			 data-sy-confirm-title="Remove right from customer '{$right->customerName|escape}'?"
			 data-sy-confirm="Do you really want to remove the right '{$right->roleName|escape}' from user '{$right->userName|escape}'?"
			 data-sy-url="index.php?page=customers&action=deleteRight"
			 data-sy-from="#right-item{$right->id}"
			 data-sy-for="#right-item{$right->id}"
			 data-sy-require="dialog/confirm"
			 data-sy-data='{ "rightId":{$right->id}}'
			 data-sy-method="post"
			 data-sy-growl="The right '{$right->roleName|escape}' was successfully removed from customer '{$right->customerName|escape}'"
			>
				<i class="fa fa-trash-o"></i>
			</button>
		</td>
	</tr>
	{/foreach}
</table>
