{*
 *
 *
 * Usage:
 * {include file=right/rightTableForCustomer.tpl rights=rarray user=usr}
 * 
 * rarray -> an array or dbiterator of the model right
 * usr    -> the cuser on which you're working (model)
 *
 *}



<table class="user-rights table table-striped">
	<tr>
		<th>{"Customer"|tr}</th>
		<th>{"Role"|tr}</th>
		<th>&nbsp;</th>
	</tr>

	{foreach from=$rights item=right}
	<tr id="right-item{$right->id}">
		<td>{$right->customerName}</td>
		<td>
			{$right->roleName}
		</td>

		<td class="text-right">
			<button
			 type="button"
			 title="Remove permission from user"
			 class="btn btn-default btm-sm"
			 id="rightId-{$right->id}"
			 data-sy-dialog-click="require"
			 data-sy-confirm-title="Remove right from user '{$right->customerName|escape}'?"
			 data-sy-confirm="Do you really want to remove the right '{$right->roleName|escape}' from user '{$right->userName|escape}'?"
			 data-sy-url="index.php?page=users&action=deleteRight"
			 data-sy-from="#right-item{$right->id}"
			 data-sy-for="#right-item{$right->id}"
			 data-sy-require="dialog/confirm"
			 data-sy-data='{ "rightId":{$right->id}}'
			 data-sy-method="post"
			 data-sy-growl="The right '{$right->roleName|escape}' was successfully removed from user '{$right->userName|escape}'"
			>
				<i class="fa fa-trash-o"></i>
			</button>
		</td>
	</tr>
	{/foreach}
</table>
