{foreach from=$parameters.group->getMembers() item=service name=services}
	{if $smarty.foreach.services.first}
		<table class="table table-striped">
		<tr>
			<th>Name</th>
			<th>Description</th>
			<th></th>
		</tr>
	{/if}

	<tr id="service{$service->id}" class="{cycle values="odd,even"}{if $service->getService()->isDeleted} disabled{/if}">
		<td><input type="hidden" name="groupServiceId[]" value="{$service->id}" />{$service->getService()->name|escape}</td>
		<td>{$service->getService()->description|escape}</td>
		<td class="text-right">
			<button
			 type="button"
			 id="delService-{$parameters.group->id}-{$service->id}"
			 title="Remove this service from service group"
			 class="btn btn-default btn-sm"
			 data-sy-event-click="require"
			 data-sy-confirm-title="Remove service '{$service->getService()->name|escape}' from service group '{$parameters.group->name|escape}'?"
			 data-sy-confirm="Do you really want to remove service '{$service->getService()->name|escape}' from service group '{$parameters.group->name|escape}'?"
			 data-sy-url="index.php?page=groups&action=deleteService"
			 data-sy-data='{ "memberId":{$service->id}}'
			 data-sy-method="post"
			 data-sy-for="#itemInfo"
			 data-sy-growl="Service '{$service->getService()->name|escape}' successfully removed from host group '{$parameters.group->name|escape}'"
			>
				<i class="fa fa-trash-o"></i>
			</button>
		</td>
	</tr>

	{if $smarty.foreach.services.last}
		</table>
	{/if}
{foreachelse}
	<div class="panel-body">
		There are no services.
	</div>
{/foreach}
