<td>{$parameters.group->name|escape}</td>
<td>{$parameters.group->description|escape}</td>
<td>
	{if $parameters.group->customerId == null}
	All customers
	{else}
	{$parameters.group->getCustomer()->name|escape}
	{/if}
</td>

<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this service group"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.group->id}"
	 data-sy-url="index.php?page=groups&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit service group '{$parameters.group->name|escape}'"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>
	<button
	 type="button"
	 href="#"
	 title="Manage services assigned to this service group"
	 class="btn btn-default btn-sm"
	 id="groups-{$parameters.group->id}"
	 data-sy-url="index.php?page=groups&action=groupServices"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="get"
	 data-sy-title="Assigned services for service group '{$parameters.group->name|escape}'"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-wrench"></i>
	</button>
	<button
	 type="button"
	 title="Delete this service group"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.group->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete service group '{$parameters.group->name|escape}'"
	 data-sy-confirm="Do you really want to delete the service group '{$parameters.group->name|escape}'?"
	 data-sy-url="index.php?page=groups&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.group->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.group->id}"
	 {if !$user->hasPermission(Permission::SERVICES_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
