<td>{$parameters.service->name|escape}</td>
<td>{$parameters.service->description|escape}</td>
<td>{$parameters.service->getCommand()->name|escape}</td>
<td class="text-right break-none">
{if $user->hasPermission(Permission::SERVICES_WRITE)}
	<button
	 type="button"
	 title="Edit this service"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.service->id|escape}"
	 data-sy-url="index.php?page=services&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.service->id}}'
	 data-sy-for="#item{$parameters.service->id}"
	 data-sy-method="get"
	 data-sy-title="Edit service '{$parameters.service->name|escape}'"
	>
		<i class="fa fa-pencil"></i>
	</button>
{/if}
	<!-- 
	class: serviceAssignments
	-->
	<button
	 type="button"
	 title="Show hosts which use this service"
	 class="btn btn-default btn-sm"
	 id="serviceAssignments-{$parameters.service->id|escape}"
	 data-sy-url="index.php?page=services&action=serviceAssignments"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "serviceIid":{$parameters.service->id}}'
	 data-sy-for="#item{$parameters.service->id}"
	 data-sy-method="get"
	 data-sy-title="Hosts which use service '{$parameters.service->name|escape}'"
	>
		<i class="fa fa-search"></i>
	</button>
{if $user->hasPermission(Permission::SERVICES_WRITE)}
	<button
	 type="button"
	 title="Delete this service"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.service->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete service '{$parameters.service->name|escape}'"
	 data-sy-confirm="Do you really want to delete the service '{$parameters.service->name|escape}'?"
	 data-sy-url="index.php?page=services&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.service->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.service->id}"
	 data-sy-growl="The service '{$parameters.service->name|escape}' was successfully deleted"
	>
		<i class="fa fa-trash-o"></i>
	</button>
{/if}
</td>
