<form
 id="formAlertSettings"
 class="validateForm ajax-form"
 data-sy-from="#formAlertSettings"
 data-sy-for="#formAlertSettings"
 data-sy-url="index.php?page=account&amp;action=saveAlertSettings"
 data-sy-data='{ "id":{$parameters.user->id|escape}}'
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="Successfully saved alert settings"
 data-sy-action="replaceWith"
>
<br/>
<div class="panel-group" id="user-alert-settings">
	<h2>{'Alert settings'|tr}</h2>
	<p class="alert alert-info">
		By default you will receive notifications for all SLA actions for all your customers.
		<br></br>
		Here you may exclude notifications per SLA action which you don't want to receive - if the customer allows it
	</p>

	{foreach from=$parameters.customers item=assignedCustomer name=assignedCustomers}
		{assign var="alertSettings" value=$assignedCustomer->getAlertSettings()}
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title">
					<a data-toggle="collapse" data-parent="#user-alert-settings" href="#collapse{$assignedCustomer->id}">
						Alert Settings for customer {$assignedCustomer->name|escape}
					</a>
				</h3>
			</div>
			<div id="collapse{$assignedCustomer->id}" class="panel-collapse collapse{if $smarty.foreach.assignedCustomers.first} in{/if}">
				{foreach from=$select.slaActions item=alertType name=slaActions}
					{assign var="userAlertSettings" value=$parameters.user->getAlertSettingsForSlaAction($assignedCustomer, $alertType)}

					{if $smarty.foreach.slaActions.first}
					<table class="table">
						<thead>
							<tr>
								<th width="50%">{'SLA action'|tr}</th>
								<th width="50%">{'Exclude'|tr}</th>
							</tr>
						</thead>
					{/if}
						<tr>
							<td><label for="alertTypeExclude-{$assignedCustomer->id|escape}-{$alertType->id|escape}">{$alertType->name|escape}</td>
							<td>
								{if $alertSettings[$alertType->id] == 1}
									Not excludable (notification is mandatory)
								{else}
									<input id="alertTypeExclude{$assignedCustomer->id|escape}-{$alertType->id|escape}" type="checkbox" name="alertTypeExclude[{$alertType->id|escape}][{$assignedCustomer->id|escape}]" {if $userAlertSettings}checked{/if} />
								{/if}
							</td>
						</tr>

					{if $smarty.foreach.slaActions.last}
						</table>
					{/if}
				{/foreach}
			</div>
		</div>
	{/foreach}
</div>
<button class="btn btn-primary pull-right" type="submit">{'Save'|tr}</button>
</form>
