<form
 id="formAlertTemplates"
 class="validateForm ajax-form"
 data-sy-from="#formAlertTemplates"
 data-sy-for="#formAlertTemplates"
 data-sy-url="index.php?page=account&amp;action=saveAlertTemplateSettings"
 data-sy-data='{ "id":{$parameters.user->id|escape}}'
 data-sy-mask="Loading&hellip;" method="post"
 data-sy-growl="Successfully saved alert template settings"
 data-sy-action="replaceWith"
>
<br/>
<div class="panel-group" id="user-alerttemplate-settings">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title">
				{'Manage alert templates for each SLA action'|tr}
			</h3>
		</div>
		<div class="panel-body">
			{foreach from=$select.slaActions item=slaAction name=slaActions}
				{assign 'selectedTemplate' $parameters.user->getAlertTemplateSettings($slaAction)}

				{if $smarty.foreach.slaActions.first}
				<table class="table">
					<thead>
						<tr>
							<th width="50%">{'SLA action'|tr}</th>
							<th width="50%">{'Alert template'|tr}</th>
						</tr>
					</thead>
				{/if}
					<tr>
						<td>
							{$slaAction->name|escape}
						</td>
						<td>
							<select id="alertType{$slaAction->id|escape}}" class="form-control" name="alertType[{$slaAction->id|escape}]">
								<option value="0">{'Default'|tr}</option>
								{foreach from=$slaAction->getAlertTemplates() item=alertTemplate name=alertTemplates}
								{html_options values=$alertTemplate->id output=$alertTemplate->name selected=$selectedTemplate->templateId}
								{/foreach}
							</select>
						</td>
					</tr>

				{if $smarty.foreach.slaActions.last}
					</table>
				{/if}
			{/foreach}
		</div>
	</div>
</div>
<button class="btn btn-primary pull-right" type="submit">{'Save'|tr}</button>
</form>
