<div class="panel panel-default">
	<div class="panel-heading">
		<h3 class="panel-title">{'Customer Permission for user'|tr} {$parameters.user->fullName}</h3>
	</div>
	<div class="panel-body chosen-nonblock">
		<form id="userPermissions" method="post" {if !$parameters.user->isMutable()}class="disabled"{/if}>
			<input type="hidden" value="{$parameters.user->id}" id="selectedUserId" />
		
			<select
			 class="required combobox"
			 id="customerId"
			 name="customerId"
			 data-sy-change="change"
			 data-sy-from="#customerId"
			 data-sy-for="#placeholderRoleId"
			 data-sy-url="index.php?page=users&action=getRolesForCustomer"
			>
				{html_options options=$select.customers}
			</select>

			<span id="placeholderRoleId">
				{include file="users/rolesForCustomer.tpl"}
			</span>

			<!-- class: addRight -->
			<button
			 type="button"
			 class="btn btn-default"
			 data-sy-event-click="require"
			 data-sy-url="index.php?page=users&action=addRight"
			 data-sy-from="#userPermissions"
			 data-sy-for="#subcontent"
			 data-sy-data='{ "userId":{$parameters.user->id}}'
			 data-sy-method="post"
			>
				<i class="fa fa-plus"></i> Add user permission
			</button>
		</form>
	</div>
	<div id="subcontent">
		{include file="right/rightTableForUser.tpl" rights=$parameters.rights user=$parameters.user}
	</div>
</div>

