<td>
	<b>{$currentUser->name|escape}</b> 
	<small>({$currentUser->getAuthenticationMethod()})</small><br />
	{$currentUser->fullName|escape}
</td>
<td>{$currentUser->phone|escape}</td>

<td>
	{if $currentUser->email}
		<a href="mailto:{$currentUser->email|escape}">E-Mail</a>
	{else}
		-
	{/if}
</td>

<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this user"
	 class="btn btn-default btn-sm"
	 id="edit-{$currentUser->id|escape}"
	 data-sy-url="index.php?page=users&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$currentUser->id}}'
	 data-sy-method="get"
	 data-sy-title="Edit user '{$currentUser->name|escape}'"
	 {if !$user->hasPermission(Permission::USERS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>

	<button
	 type="button"
	 title="Manage permissions of the current user"
	 class="btn btn-default btn-sm"
	 id="assignement-{$currentUser->id|escape}"
	 data-sy-url="index.php?page=users&action=editRight"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/show"
	 data-sy-data='{ "id":{$currentUser->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage permissions for user '{$currentUser->name|escape}'"
	 {if !$user->hasPermission(Permission::USERS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-chain"></i>
	</button>
	<button
	 type="button"
	 title="Delete this user"
	 class="btn btn-default btn-sm"
	 id="delete-{$currentUser->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete user '{$currentUser->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the user '{$currentUser->name|escape}'?"
	 data-sy-url="index.php?page=users&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$currentUser->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$currentUser->id}"
	 data-sy-hide="#item{$currentUser->id}"
	 data-sy-growl="The user '{$currentUser->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::USERS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
