<td>
	<b>{$parameters.user->name|escape}</b> 
	<small>({$parameters.user->authenticationMethod})</small><br />
	{$parameters.user->fullName|escape}
</td>
<td>{$parameters.user->phone|escape}</td>

<td>
	{if $parameters.user->email}
		<a href="mailto:{$parameters.user->email|escape}">E-Mail</a>
	{else}
		-
	{/if}
</td>

<td class="text-right break-none">
	<button
	 type="button"
	 title="Edit this user"
	 class="btn btn-default btn-sm"
	 id="edit-{$parameters.user->id|escape}"
	 data-sy-url="index.php?page=users&action=edit"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.user->id}}'
	 data-sy-for="#item{$parameters.user->id}"
	 data-sy-method="get"
	 data-sy-title="Edit user '{$parameters.user->name|escape}'"
	 {if !$user->hasPermission(Permission::USERS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-pencil"></i>
	</button>

	<button
	 type="button"
	 title="Manage permissions of the current user"
	 class="btn btn-default btn-sm"
	 id="assignement-{$parameters.user->id|escape}"
	 data-sy-url="index.php?page=users&action=editRight"
	 data-sy-dialog-click="require"
	 data-sy-require="dialog/edit"
	 data-sy-data='{ "id":{$parameters.user->id|escape}}'
	 data-sy-method="get"
	 data-sy-title="Manage permissions for user '{$parameters.user->name|escape}'"
	 {if !$user->hasPermission(Permission::USERS_WRITE) || !$parameters.user->isMutable()}
	 default
	 {/if}
	>
		<i class="fa fa-chain"></i>
	</button>
	<button
	 type="button"
	 title="Delete this user"
	 class="btn btn-default btn-sm"
	 id="delete-{$parameters.user->id}"
	 data-sy-dialog-click="require"
	 data-sy-confirm-title="Delete user '{$parameters.user->name|escape}'?"
	 data-sy-confirm="Do you really want to delete the user '{$parameters.user->name|escape}'?"
	 data-sy-url="index.php?page=users&action=delete"
	 data-sy-require="dialog/confirm"
	 data-sy-data='{ "id":{$parameters.user->id}}'
	 data-sy-method="post"
	 data-sy-for="#item{$parameters.user->id}"
	 data-sy-growl="The user '{$parameters.user->name|escape}' was successfully deleted"
	 {if !$user->hasPermission(Permission::USERS_WRITE)}
	 disabled
	 {/if}
	>
		<i class="fa fa-trash-o"></i>
	</button>
</td>
