# coding: utf-8
import subprocess
import unittest

class TestDbWrapper(unittest.TestCase):
    def test_reconnect(self):
        output = subprocess.check_output([
            'sudo',
            '/usr/share/symonitoring/frontend/lib/adfinis/bin/cliExec.sh',
            '/vagrant/frontend/app/tests/symonitoring_frontend/php_db_wrapper_tests/reconnect.php'],
            stderr=subprocess.PIPE)
        self.assertEqual(b'OK', output)

if __name__ == '__main__':
    suite = unittest.TestLoader().loadTestsFromTestCase(TestDbWrapper)
    unittest.TextTestRunner(verbosity=2).run(suite)

