define([
  'jquery',
  'bootstrap',
  '/js/app/event.js',
  '/js/app/event/initializeElements.js',
  'text!/js/app/dialog/show.html',
  'text!/js/app/dialog/footerShow.html'
],
  function($, bootstrap, evt, initElements, tpl, tplFooter) { 'use strict';
    function populateDialog(e, res) {
      /*jshint validthis:true */

      var $dialog = $(tpl)
      var $footer = $(tplFooter)
      var title   = this.dataset.syTitle || 'Anzeigen'

      $dialog.on('hidden.bs.modal', function() { $(this).remove() })

      $dialog.find('#placeholder-body').html(res.html)
      $dialog.find('#placeholder-footer').replaceWith($footer)
      $dialog.find('.modal-title').text(title)

      $($dialog).on('shown.bs.modal', function (e) {
        initElements.process.call($dialog[0])
      })

      $dialog.modal()

    }

    return function(e) {
      var reference = $(this).clone()[0]
      reference.dataset.syRequire = 'ajax'
      evt.process.call(reference, e, populateDialog.bind(reference))
    }
  }
)
