define([
  'jquery',
  '/js/app/ajax.js'
], function($, evt) { 'use strict';

  function process(e, callback) {
    /*jshint validthis:true */

    var source           = this.dataset.syFrom
    var sources          = source.split(',')
    var validationTarget = this.dataset.syValidate
    var validator = validationTarget.match(/{{(.*?)}}/)
    var validatorIndex = sources.indexOf(validator[1])

    if (validatorIndex > -1) {
      var sourceValue = $(sources[validatorIndex]).val()
      var completeSource = validationTarget.replace(/{{.*?}}/i, sourceValue)
      if ($(completeSource).length > 0) {
        var errors = {
          error: {
            errorMessages: [
              'The item ' + $(sources[validatorIndex] + ' option:selected').text() + ' is already in the list'
            ]
          }
        }

        return evt.handleErrors.call(this, e, errors)
      }
    }

    evt.process.call(this, e, callback)

    if (callback) {
      return callback(e)
    }
  }

  return process
})
