define([ 'jquery', '/js/app/ajax.js' ], function($, ajaxEvent) {

'use strict';

return function bulkAction(e, callback) {
  /*jshint validthis:true */

  var originalUrl    = this.dataset.syUrl
  var originalSource = this.dataset.syFrom
  var originalMethod = this.dataset.syMethod

  var source         = this.dataset.syFrom.split(',')
  var syAction       = this.dataset.syBulkAction
  var action         = $(source[0]).val().toLowerCase()
  var actionBody     = (action[0] || '').toUpperCase() + action.slice(1)

  if (syAction === 'get') {
    action       = 'getBulk' + actionBody + 'Details'
    this.dataset.syFrom = null
  }
  else {
    action       = 'bulk' + actionBody
    this.dataset.syFrom = source.splice(1, 2)
    this.dataset.syMethod = 'post'
  }

  this.dataset.syUrl = this.dataset.syUrl + '&action=' + action
  ajaxEvent.process.call(this, e, callback)

  // Re-set changed value
  this.dataset.syUrl    = originalUrl
  this.dataset.syFrom   = originalSource
  this.dataset.syMethod = originalMethod
}

})
