<?php

namespace org\adfinis\framework\deploy;

/**
 * Exception for when the update folder does not exist
 *
 * @author        Stefan Heinemann <sh@adfinis.com>
 * @copyright     adfinis GmbH 2011
 * @license       BSD 3-Clause
 */
class UpdateLocationUnavailableException extends \RuntimeException {
	public function __construct($path) {
		$str = sprintf("The update location %s could not be found", $path);
		parent::__construct($str);
	}
}

