<?php

namespace org\adfinis\framework\utils\string;

/**
 * Class contains functions for getting and cleaning GPC-Vars
 *
 * @author      Matthias Blaser <mb@adfinis.ch>
 * @copyright   adfinis GmbH 2007-2010
 * @license     BSD 3-Clause
 */
class StringWiki {
	/**
	 * Remove wiki syntax from string
	 *
	 * @author      Matthias Blaser <mb@adfinis.ch>
	 * @param       string $string
	 * @return      string
	 */
	public static function deWikify($string){
		// link
		return preg_replace('#\[([^|]*)\|[^\]]+\]#', '\1', $string);
	}
}
