<?php
// +----------------------------------------------------------------------+
// | adfinis framework                                                    |
// +----------------------------------------------------------------------+

/**
 * Test class for URLHelper
 *
 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @package     org.adfinis.tests.utils
 * @copyright   Adfinis SyGroup AG 2007-2012
 * @license     LGPL 3.0
 */

namespace org\adfinis\framework\test\utils;

use \org\adfinis\framework\utils\URLHelper;

/**
 * Test cases for the URLHelper class
 *
 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
 * @package     org.adfinis.tests.utils
 * @todo by denis:   Add the other methods.
 
 **/
class URLHelperTest extends \PHPUnit_Framework_TestCase {

	/**
	 * Verifies whether getCurrentDomain() returns a Domain name
	 *
	 * @author      Denis Simonet <denis.simonet@adfinis-sygroup.ch>
	 */
	public function testGetCurrentDomain() {
		$domain = URLHelper::getCurrentDomain();
		$this->assertNotEmpty($domain, sprintf('An empty domain was returned.'));
	}
}
